{**********************************************}
{   TeeChart Office - Constant strings         }
{   Copyright (c) 2001 by David Berneda        }
{   All Rights Reserved.                       }
{**********************************************}
unit TeeChartOfficeConstants;
{$I TeeDefs.inc}

interface

Uses TeeOfficeConstants;

Const
  { DO NOT TRANSLATE ! }
  TeeChartOfficeKey          = '\Software\Steema Software\TeeChart Office';
  TeeChartOfficeVersion      = 'TeeChart Office 1.0';
  TeeMsg_TeeChartOffice      = 'TeeChart Office';
  TeeSteemaMainURL           = TeeChartWeb+'products/TeeChartOffice';
  TeeSteemaSupportURL        = TeeChartWeb+'support/TeeChartOffice';
  TChartOfficeVersionURL     = TeeChartServer+'TeeChartOffice/version.txt';
  TeeSteemaWebGallerySite    = TeeChartWeb+'products/TeeChartOffice/WebGallery';
  TeeMsg_URLMagic            = 'TEECHARTOFFICE';

var
  TeeMsg_SureToUploadChart,
  TeeMsg_ShouldClose,

  TeeMsg_BarWidth,
  TeeMsg_PieRotation,
  TeeMsg_OpenWithTeeChartOffice,

  TeeMsg_Chart1,

  TeeMsg_LeftWall,
  TeeMsg_BottomWall,
  TeeMsg_RightWall,
  TeeMsg_BackWall,

  TeeMsg_AxisDivider,
  TeeMsg_PieTool,
  TeeMsg_Table,
  TeeMsg_Query,
  TeeMsg_XMLFile,
  TeeMsg_ExcelFile,
  TeeMsg_ExcelEmptyFile,
  TeeMsg_Expression          : String;

Procedure TeeChartOfficeEnglish;
Procedure TeeChartOfficeSpanish;
Procedure TeeChartOfficeCatalan;
Procedure TeeChartOfficeGalician;
Procedure TeeChartOfficeGerman;
Procedure TeeChartOfficeFrench;
Procedure TeeChartOfficeBrazil;
Procedure TeeChartOfficeDanish;
Procedure TeeChartOfficeDutch;
Procedure TeeChartOfficeSwedish;
Procedure TeeChartOfficeChinese;
Procedure TeeChartOfficeChineseSimp;
Procedure TeeChartOfficePortuguese;
Procedure TeeChartOfficeRussian;
Procedure TeeChartOfficeItalian;
Procedure TeeChartOfficeNorwegian;
Procedure TeeChartOfficeJapanese;
Procedure TeeChartOfficePolish;
Procedure TeeChartOfficeSlovene;
Procedure TeeChartOfficeTurkish;
Procedure TeeChartOfficeHungarian;

implementation

Uses TeeProCo, SysUtils,
     TeeSpanish, TeeCatalan, TeeGerman, TeeFrench, TeeDanish, TeeDutch,
     TeeChinese, TeeBrazil, TeeSwedish, TeeChineseSimp, TeePortuguese,
     TeeRussian, TeeItalian, TeeNorwegian, TeeJapanese, TeePolish,
     TeeSlovene, TeeTurkish, TeeHungarian, TeeGalician;

Procedure TeeChartOfficeSpanish;

Procedure SetSpanishConstants;
begin
  TeeMsg_ZoomInstructions    :='Arrastrar ratn derecha-abajo para zoom. Izquierda-arriba para quitar zoom.';
  TeeMsg_ScrollInstructions  :='Arrastrar ratn para desplazar el contenido del grfico.';
  TeeMsg_DrawLineInstructions:='Arrastrar ratn para dibujar, seleccionar y mover lineas.';

  TeeMsg_SureToDeleteDataSet :='Seguro que desea eliminar la Tabla?';
  TeeMsg_Select              :='Selecciona';
  TeeMsg_EMail               :='e-mail';
  TeeMsg_Open                :='Abrir';
  TeeMsg_New                 :='Nuevo';
  TeeMsg_ImportingWeb        :='Importando del Web: %s';
  TeeMsg_Annotation          :='Anotacin';
  TeeMsg_Modified            :='Modific.';

  TeeMsg_Next                :='&Siguiente >';
  TeeMsg_OK                  :='Aceptar';
  TeeMsg_Close               :='Cerrar';
  TeeMsg_Go                  :='&Ir !';
  TeeMsg_Upload              :='&Subir !';

  TeeMsg_CannotGetVersion    :='No se puede obtener la versin ms actual.'+#13+
                              'Error: %d %s';

  TeeMsg_CannotGetNewVersion :='No se puede descargar la versin ms actual.'+#13+
                              'Error: %d %s';

  TeeMsg_WrongVersion        :='Nmero de versin recibido errneo.';
  TeeMsg_HasLatestVersion    :='Ya tiene la ltima versin.';
  TeeMsg_ClickToUpdateVersion:='Pulse Actualizar para recibir la versin actualizada.';
  TeeMsg_UpdateButton        :='&Actualizar...';
  TeeMsg_WrongZip            :='Archivo de versin recibido incorrecto.';
  TeeMsg_VersionReceived     :='Ultima versin recibida. Pulse Aceptar para instalar.';

  TeeMsg_SelectFolder        :='Seleccionar Carpeta';
  TeeMsg_EmailNotValid       :='La direccin de Correo no es correcta.';
  TeeMsg_NameNotValid        :='Por favor escriba su Nombre.';
  TeeMsg_WrongPassword       :='La contrasea est vacia. Por favor escriba su contrasea o '+#13+
                               'pulse el botn Obtener Contrasea para recibirla por correo.';
  TeeMsg_WrongChartID        :='El nombre de grfico est vacio. Por favor escriba un nombre de grfico para '+
                               'identificarlo en la Galeria Web.';

  TeeMsg_CannotObtainPassword:='No es posible conectar para obtener su contrasea.';
  TeeMsg_PasswordSent        :='Se ha enviado la Contrasea a su direccin de Correo.';
  TeeMsg_Congrats            :='Felicidades.'+#13+'Ha sido incluido el base de datos de usuarios de '+
                              'la galeria de grficos Web.'+#13+
                              TeeMsg_PasswordSent;

  TeeMsg_UploadingWeb        :='Subiendo %s a la galeria Web...';
  TeeMsg_Uploaded            :='%s ha sido cargado en la galeria Web.';
  TeeMsg_SureToUploadChart   :='Seguro que desea subir el grfico a la Galeria Web?';

  TeeMsg_TitleEditor         :='Editor de Ttulo';
  TeeMsg_BarWidth            :='Ancho Barra %';
  TeeMsg_EnterValue          :='Entrar valor';
  TeeMsg_PieRotation         :='Rotacin';
  TeeMsg_PointWidth          :='Ancho';
  TeeMsg_PointHeight         :='Alto';

  TeeMsg_Position            :='Posicin: %d,%d';
  TeeMsg_Size                :='Tamao: %d x %d';

  TeeMsg_BetaWarning         :='Nota: '+
                              'Este Software es Pre-Release.'+#13+#13+
                              'Algunas funciones pueden ser incompletas o'+#13+
                              'eliminadas en la versin final del producto.'+#13+#13+
                              'Envienos preguntas y sugerencias en nuestro web:'+#13+#13+
                              'www.steema.com';

  TeeMsg_OpenWithTeeChartOffice :='Abrir con &TeeChart Office';

  TeeMsg_Caps               :='MAYU';
  TeeMsg_Num                :='NUM';
  TeeMsg_SCR                :='DES';
  TeeMsg_Chart1             :='Chart1';
  TeeMsg_SaveAs             :='Guardar como...';
  TeeMsg_LeftWall           :='Pared Izquierda';
  TeeMsg_BottomWall         :='Pared Inferior';
  TeeMsg_RightWall          :='Pared Derecha';
  TeeMsg_BackWall           :='Pared Trasera';
  TeeMsg_ShouldClose        :='Por favor cierre y rearranque TeeChartOffice.';
  TeeMsg_AxisDivider        :='Divisor de ejes';
  TeeMsg_PieTool            :='Porciones Pastel';
  TeeMsg_Table              :='Tabla';
  TeeMsg_Query              :='Consulta';
  TeeMsg_XMLFile            :='Archivos XML';
  TeeMsg_ExcelFile          :='Archivos Excel';
  TeeMsg_ExcelEmptyFile     :='El nombre de archivo Excel est vacio.';
  TeeMsg_Expression         :='Expresin';
end;

begin
  TeeOfficeSpanish;
  SetSpanishConstants;

  if TeeSpanishLanguage=nil then
  begin
    TeeCreateSpanish;
    with TeeSpanishLanguage do
    Text:=Text+#13+
    'NEW USING WIZARD=Nuevo usando Asistente'#13+
    'OPEN=Abrir'+#13+
    'SAVE AS=Guardar como'#13+
    'SAVE AS...=Guardar como...'#13+
    'REOPEN=Reabrir'#13+
    'ABOUT=Acerca de'+#13+
    'PROPERTIES=Propiedades'+#13+
    'CHART TOOLS=Herramientas'+#13+
    'HELP INDEX=Indice de la Ayuda'+#13+
    'WHAT''S THIS ?=Qu es esto?'+#13+
    'VIEW=Ver'+#13+
    'STATUS BAR=Barra de estado'+#13+
    'SERIES LIST=Lista de Series'#13+
    'GALLERY=Galera'+#13+
    'TOOLBARS=Barras de Herramientas'#13+
    'PAGE=Pgina'#13+
    'AS TAB=Como tapeta'#13+
    'AS WINDOW=Como ventana'#13+
    'HIDE=Ocultar'#13+
    'WEB CHARTS GALLERY=Galera de Grficos en Web'#13+
    'UPDATE VERSION=Actualizar versin'#13+
    'TEXT MODE=Modo Texto'#13+
    'TEECHART WEB=Web de TeeChart'#13+
    'ONLINE SUPPORT=Soporte en lnea'#13+
    'EXIT=Salir'#13+
    'SEND BY E-MAIL=Enviar por Correo'#13+
    'TEXT LABELS=Etiquetas'#13+
    'X VALUES=Valores X'#13+
    'DUPLICATE=Duplicar'#13+
    'SELECT ALL=Seleccionar Todas'#13+
    'MOVE UP=Mover Arriba'#13+
    'MOVE DOWN=Mover Abajo'#13+
    'HIDE SERIES LIST=Ocultar Lista'#13+
    'VIEW 3D=Ver en 3D'#13+
    'AUTO SIZE=Tamao Autom.'#13+
    'ADD ANNOTATION=Aadir Anotacin'#13+
    'ENABLE ZOOM=Permitir Zoom'#13+
    'ENABLE SCROLL=Permitir Desplazamiento'#13+
    'DRAW LINES=Dibujar Lineas'#13+
    'SHOW HINTS=Ver Ayudas'#13+
    'COLOR EACH POINT=Colorear puntos'#13+
    'SHOW AT LEGEND=Ver en Leyenda'#13+
    'SHOW SERIES MARKS=Ver Marcas en puntos'#13+
    'PROPERTY=Propiedad'#13+
    'MODIFIED=Modific.'#13+
    'WALL=Pared'#13+
    'SERIES MARKS=Marcas de Series'#13+
    'SIDE MARGINS=Margenes laterales'#13+
    'RIGHT SIDE=Lado derecho'#13+
    'ALIGN TO TOP=Alinear arriba'#13+
    'ALIGN TO BOTTOM=Alinear abajo'#13+
    'FONT COLOR=Color de Fuente'#13+
    'FONT NAME=Nombre de Fuente'#13+
    'FONT SIZE=Tamao de Fuente'#13+
    'BOLD=Negrita'#13+
    'ITALIC=Cursiva'#13+
    'UNDERLINE=Subrayado'#13+
    'STRIKE OUT=Tachado'#13+
    'LEFT JUSTIFY=Ajustar a la Izquierda'#13+
    'RIGHT JUSTIFY=Ajustar a la Derecha'#13+
    'INTER-CHAR SIZE=Espacio entre caracteres'#13+
    'HIDE INSPECTOR=Ocultar Inspector'#13+
    'SELECT=Selecciona'#13+
    'CUSTOM POSITION=Posicin cust.'#13+
    'AXIS LINE=Linea de Eje'+#13+
    'MINOR GRID=Rejilla menor'#13+
    'CAPS=MAYU'#13+
    'NUM=NUM'#13+
    'SCR=DES'#13+
    'YES=S'#13+
    'NO=No'#13+
    'CHECK-BOXES=Casillas'#13+
    'ANNOTATION=Anotacin'#13+
    'CONNECT TO STEEMA.COM TO UPDATE THIS SOFTWARE.=Conecte a Steema.com para actualizar su versin.'#13+
    'CURRENT VERSION=Versin actual'#13+
    'LATEST VERSION=Ultima versin'#13+
    'CONNECT=Conectar'#13+
    'UPDATE=Actualizar'#13+
    'HANDLES=Lpiz'#13+
    'AXIS DIVIDER=Divisor de Ejes'#13+
    'PIE SLICES=Porciones de Pastel'#13+
    'DRAG STYLE=Estilo arrastre'#13+
    'TEECHART OFFICE OPTIONS=Opciones de TeeChart Office'#13+
    'LANGUAGE=Lenguaje'#13+
    'RED=Rojo'#13+
    'GREEN=Verde'#13+
    'BLUE=Azul'#13+
    'WHITE=Blanco'#13+
    'YELLOW=Amarillo'#13+
    'BLACK=Negro'#13+
    'SILVER=Plata'#13+
    'DKGRAY=Gris oscuro'#13+
    'BTNFACE=Gris'#13+
    'GRAY SCALE VISUAL=Grises visual'#13+
    'INVERTED GRAY SCALE=Grises Invertidos'#13+
    'LEFT WALL=Pared Izquierda'#13+
    'BOTTOM WALL=Pared Inferior'#13+
    'RIGHT WALL=Pared Derecha'#13+
    'BACK WALL=Pared Trasera'#13+
    'STAIRS INVERTED=Escalera Inv.'#13+
    'FORMATTING=Formato'#13+
    'FLOATING POINT=Decimal'#13+
    'DATE-TIME=Fecha / Hora'#13+
    'CHOOSE AN OPTION=Escoja una opcin'#13+
    'IMPORTING FROM WEB: %S=Importando del web: %s'#13+
    'LOAD CHART FROM WEB ADDRESS=Cargar grfico de Web'#13+
    'BROWSE THE TEECHART GALLERY AT WWW.STEEMA.COM=Ver la Galera de Grficos en www.Steema.com'#13+
    'GO !=Ir !'#13+
    'UPLOAD !=Subir !'#13+
    'UPLOAD CURRENT CHART TO WEB GALLERY=Subir su Grfico a la Galera en el Web'#13+
    'TEECHART OFFICE WEB GALLERY=Galera de Grficos en el Web'#13+
    'YOUR NAME=Su Nombre'#13+
    'YOUR E-MAIL=Su e-Mail'#13+
    'PASSWORD=Contrasea'#13+
    'OBTAIN PASSWORD=Obtener Contrasea'#13+
    'CHART NAME=Nombre Grfico'#13+
    'FIRST=Primera'#13+
    'PRIOR=Anterior'#13+
    'NEXT=Siguiente'#13+
    'LAST=Ultima'#13+
    'CREATE NEW DATASET=Crear nueva Tabla o Consulta'#13+
    'DATASET STYLE=Tipo de Base de Datos'#13+
    'SQL QUERY=Consulta SQL'#13+
    'FROM=Desde'#13+
    'TO=Hasta'#13+
    'STEP=Cada'#13+
    'VALUE=Valor'#13+
    'EXCEL FILE=Archivo Excel'#13+
    'WORKSHEET=Libro'#13+
    'VALUES RANGE=Rango Valores'#13+
    'LABELS RANGE=Rango Textos'#13+
    'FOCUS=Resaltar'#13+
    'EXPLODE=Expandir'#13+
    'AUTOSIZE=Tamao Auto.'#13+
    'AXIS 2=Eje 2'
  ;
  end;
  TeeSetSpanish;
end;

Procedure TeeChartOfficeGalician;

Procedure SetGalicianConstants;
begin
  TeeMsg_ZoomInstructions    :='Arrastrar ratn derecha-abajo para zoom. Izquierda-arriba para quitar zoom.';
  TeeMsg_ScrollInstructions  :='Arrastrar ratn para desplazar el contenido del grfico.';
  TeeMsg_DrawLineInstructions:='Arrastrar ratn para dibujar, seleccionar y mover lineas.';

  TeeMsg_SureToDeleteDataSet :='Seguro que desea eliminar la Tabla?';
  TeeMsg_Select              :='Selecciona';
  TeeMsg_EMail               :='e-mail';
  TeeMsg_Open                :='Abrir';
  TeeMsg_New                 :='Nuevo';
  TeeMsg_ImportingWeb        :='Importando del Web: %s';
  TeeMsg_Annotation          :='Anotacin';
  TeeMsg_Modified            :='Modific.';

  TeeMsg_Next                :='&Siguiente >';
  TeeMsg_OK                  :='Aceptar';
  TeeMsg_Close               :='Cerrar';
  TeeMsg_Go                  :='&Ir !';
  TeeMsg_Upload              :='&Subir !';

  TeeMsg_CannotGetVersion    :='No se puede obtener la versin ms actual.'+#13+
                              'Error: %d %s';

  TeeMsg_CannotGetNewVersion :='No se puede descargar la versin ms actual.'+#13+
                              'Error: %d %s';

  TeeMsg_WrongVersion        :='Nmero de versin recibido errneo.';
  TeeMsg_HasLatestVersion    :='Ya tiene la ltima versin.';
  TeeMsg_ClickToUpdateVersion:='Pulse Actualizar para recibir la versin actualizada.';
  TeeMsg_UpdateButton        :='&Actualizar...';
  TeeMsg_WrongZip            :='Archivo de versin recibido incorrecto.';
  TeeMsg_VersionReceived     :='Ultima versin recibida. Pulse Aceptar para instalar.';

  TeeMsg_SelectFolder        :='Seleccionar Carpeta';
  TeeMsg_EmailNotValid       :='La direccin de Correo no es correcta.';
  TeeMsg_NameNotValid        :='Por favor escriba su Nombre.';
  TeeMsg_WrongPassword       :='La contrasea est vacia. Por favor escriba su contrasea o '+#13+
                               'pulse el botn Obtener Contrasea para recibirla por correo.';
  TeeMsg_WrongChartID        :='El nombre de grfico est vacio. Por favor escriba un nombre de grfico para '+
                               'identificarlo en la Galeria Web.';

  TeeMsg_CannotObtainPassword:='No es posible conectar para obtener su contrasea.';
  TeeMsg_PasswordSent        :='Se ha enviado la Contrasea a su direccin de Correo.';
  TeeMsg_Congrats            :='Felicidades.'+#13+'Ha sido incluido el base de datos de usuarios de '+
                              'la galeria de grficos Web.'+#13+
                              TeeMsg_PasswordSent;

  TeeMsg_UploadingWeb        :='Subiendo %s a la galeria Web...';
  TeeMsg_Uploaded            :='%s ha sido cargado en la galeria Web.';
  TeeMsg_SureToUploadChart   :='Seguro que desea subir el grfico a la Galeria Web?';

  TeeMsg_TitleEditor         :='Editor de Ttulo';
  TeeMsg_BarWidth            :='Ancho Barra %';
  TeeMsg_EnterValue          :='Entrar valor';
  TeeMsg_PieRotation         :='Rotacin';
  TeeMsg_PointWidth          :='Ancho';
  TeeMsg_PointHeight         :='Alto';

  TeeMsg_Position            :='Posicin: %d,%d';
  TeeMsg_Size                :='Tamao: %d x %d';

  TeeMsg_BetaWarning         :='Nota: '+
                              'Este Software es Pre-Release.'+#13+#13+
                              'Algunas funciones pueden ser incompletas o'+#13+
                              'eliminadas en la versin final del producto.'+#13+#13+
                              'Envienos preguntas y sugerencias en nuestro web:'+#13+#13+
                              'www.steema.com';

  TeeMsg_OpenWithTeeChartOffice :='Abrir con &TeeChart Office';

  TeeMsg_Caps               :='MAYU';
  TeeMsg_Num                :='NUM';
  TeeMsg_SCR                :='DES';
  TeeMsg_Chart1             :='Chart1';
  TeeMsg_SaveAs             :='Guardar como...';
  TeeMsg_LeftWall           :='Pared Izquierda';
  TeeMsg_BottomWall         :='Pared Inferior';
  TeeMsg_RightWall          :='Pared Derecha';
  TeeMsg_BackWall           :='Pared Trasera';
  TeeMsg_ShouldClose        :='Por favor cierre y rearranque TeeChartOffice.';
  TeeMsg_AxisDivider        :='Divisor de ejes';
  TeeMsg_PieTool            :='Porciones Pastel';
  TeeMsg_Table              :='Tabla';
  TeeMsg_Query              :='Consulta';
  TeeMsg_XMLFile            :='Archivos XML';
  TeeMsg_ExcelFile          :='Archivos Excel';
  TeeMsg_ExcelEmptyFile     :='El nombre de archivo Excel est vacio.';
  TeeMsg_Expression         :='Expresin';
end;

begin
  TeeOfficeGalician;
  SetGalicianConstants;

  if TeeGalicianLanguage=nil then
  begin
    TeeCreateGalician;
    with TeeGalicianLanguage do
    Text:=Text+#13+
    'NEW USING WIZARD=Nuevo usando Asistente'#13+
    'OPEN=Abrir'+#13+
    'SAVE AS=Guardar como'#13+
    'SAVE AS...=Guardar como...'#13+
    'REOPEN=Reabrir'#13+
    'ABOUT=Acerca de'+#13+
    'PROPERTIES=Propiedades'+#13+
    'CHART TOOLS=Herramientas'+#13+
    'HELP INDEX=Indice de la Ayuda'+#13+
    'WHAT''S THIS ?=Qu es esto?'+#13+
    'VIEW=Ver'+#13+
    'STATUS BAR=Barra de estado'+#13+
    'SERIES LIST=Lista de Series'#13+
    'GALLERY=Galera'+#13+
    'TOOLBARS=Barras de Herramientas'#13+
    'PAGE=Pgina'#13+
    'AS TAB=Como tapeta'#13+
    'AS WINDOW=Como ventana'#13+
    'HIDE=Ocultar'#13+
    'WEB CHARTS GALLERY=Galera de Grficos en Web'#13+
    'UPDATE VERSION=Actualizar versin'#13+
    'TEXT MODE=Modo Texto'#13+
    'TEECHART WEB=Web de TeeChart'#13+
    'ONLINE SUPPORT=Soporte en lnea'#13+
    'EXIT=Salir'#13+
    'SEND BY E-MAIL=Enviar por Correo'#13+
    'TEXT LABELS=Etiquetas'#13+
    'X VALUES=Valores X'#13+
    'DUPLICATE=Duplicar'#13+
    'SELECT ALL=Seleccionar Todas'#13+
    'MOVE UP=Mover Arriba'#13+
    'MOVE DOWN=Mover Abajo'#13+
    'HIDE SERIES LIST=Ocultar Lista'#13+
    'VIEW 3D=Ver en 3D'#13+
    'AUTO SIZE=Tamao Autom.'#13+
    'ADD ANNOTATION=Aadir Anotacin'#13+
    'ENABLE ZOOM=Permitir Zoom'#13+
    'ENABLE SCROLL=Permitir Desplazamiento'#13+
    'DRAW LINES=Dibujar Lineas'#13+
    'SHOW HINTS=Ver Ayudas'#13+
    'COLOR EACH POINT=Colorear puntos'#13+
    'SHOW AT LEGEND=Ver en Leyenda'#13+
    'SHOW SERIES MARKS=Ver Marcas en puntos'#13+
    'PROPERTY=Propiedad'#13+
    'MODIFIED=Modific.'#13+
    'WALL=Pared'#13+
    'SERIES MARKS=Marcas de Series'#13+
    'SIDE MARGINS=Margenes laterales'#13+
    'RIGHT SIDE=Lado derecho'#13+
    'ALIGN TO TOP=Alinear arriba'#13+
    'ALIGN TO BOTTOM=Alinear abajo'#13+
    'FONT COLOR=Color de Fuente'#13+
    'FONT NAME=Nombre de Fuente'#13+
    'FONT SIZE=Tamao de Fuente'#13+
    'BOLD=Negrita'#13+
    'ITALIC=Cursiva'#13+
    'UNDERLINE=Subrayado'#13+
    'STRIKE OUT=Tachado'#13+
    'LEFT JUSTIFY=Ajustar a la Izquierda'#13+
    'RIGHT JUSTIFY=Ajustar a la Derecha'#13+
    'INTER-CHAR SIZE=Espacio entre caracteres'#13+
    'HIDE INSPECTOR=Ocultar Inspector'#13+
    'SELECT=Selecciona'#13+
    'CUSTOM POSITION=Posicin cust.'#13+
    'AXIS LINE=Linea de Eje'+#13+
    'MINOR GRID=Rejilla menor'#13+
    'CAPS=MAYU'#13+
    'NUM=NUM'#13+
    'SCR=DES'#13+
    'YES=S'#13+
    'NO=No'#13+
    'CHECK-BOXES=Casillas'#13+
    'ANNOTATION=Anotacin'#13+
    'CONNECT TO STEEMA.COM TO UPDATE THIS SOFTWARE.=Conecte a Steema.com para actualizar su versin.'#13+
    'CURRENT VERSION=Versin actual'#13+
    'LATEST VERSION=Ultima versin'#13+
    'CONNECT=Conectar'#13+
    'UPDATE=Actualizar'#13+
    'HANDLES=Lpiz'#13+
    'AXIS DIVIDER=Divisor de Ejes'#13+
    'PIE SLICES=Porciones de Pastel'#13+
    'DRAG STYLE=Estilo arrastre'#13+
    'TEECHART OFFICE OPTIONS=Opciones de TeeChart Office'#13+
    'LANGUAGE=Lenguaje'#13+
    'RED=Rojo'#13+
    'GREEN=Verde'#13+
    'BLUE=Azul'#13+
    'WHITE=Blanco'#13+
    'YELLOW=Amarillo'#13+
    'BLACK=Negro'#13+
    'SILVER=Plata'#13+
    'DKGRAY=Gris oscuro'#13+
    'BTNFACE=Gris'#13+
    'GRAY SCALE VISUAL=Grises visual'#13+
    'INVERTED GRAY SCALE=Grises Invertidos'#13+
    'LEFT WALL=Pared Izquierda'#13+
    'BOTTOM WALL=Pared Inferior'#13+
    'RIGHT WALL=Pared Derecha'#13+
    'BACK WALL=Pared Trasera'#13+
    'STAIRS INVERTED=Escalera Inv.'#13+
    'FORMATTING=Formato'#13+
    'FLOATING POINT=Decimal'#13+
    'DATE-TIME=Fecha / Hora'#13+
    'CHOOSE AN OPTION=Escoja una opcin'#13+
    'IMPORTING FROM WEB: %S=Importando del web: %s'#13+
    'LOAD CHART FROM WEB ADDRESS=Cargar grfico de Web'#13+
    'BROWSE THE TEECHART GALLERY AT WWW.STEEMA.COM=Ver la Galera de Grficos en www.Steema.com'#13+
    'GO !=Ir !'#13+
    'UPLOAD !=Subir !'#13+
    'UPLOAD CURRENT CHART TO WEB GALLERY=Subir su Grfico a la Galera en el Web'#13+
    'TEECHART OFFICE WEB GALLERY=Galera de Grficos en el Web'#13+
    'YOUR NAME=Su Nombre'#13+
    'YOUR E-MAIL=Su e-Mail'#13+
    'PASSWORD=Contrasea'#13+
    'OBTAIN PASSWORD=Obtener Contrasea'#13+
    'CHART NAME=Nombre Grfico'#13+
    'FIRST=Primera'#13+
    'PRIOR=Anterior'#13+
    'NEXT=Siguiente'#13+
    'LAST=Ultima'#13+
    'CREATE NEW DATASET=Crear nueva Tabla o Consulta'#13+
    'DATASET STYLE=Tipo de Base de Datos'#13+
    'SQL QUERY=Consulta SQL'#13+
    'FROM=Desde'#13+
    'TO=Hasta'#13+
    'STEP=Cada'#13+
    'VALUE=Valor'#13+
    'EXCEL FILE=Archivo Excel'#13+
    'WORKSHEET=Libro'#13+
    'VALUES RANGE=Rango Valores'#13+
    'LABELS RANGE=Rango Textos'#13+
    'FOCUS=Resaltar'#13+
    'EXPLODE=Expandir'#13+
    'AUTOSIZE=Tamao Auto.'#13+
    'AXIS 2=Eje 2'
  ;
  end;
  TeeSetGalician;
end;

Procedure TeeChartOfficeCatalan;

Procedure SetCatalanConstants;
begin
  TeeMsg_ZoomInstructions    :='Drag mouse to right-bottom to zoom. To left-top to unzoom.';
  TeeMsg_ScrollInstructions  :='Drag mouse to scroll Chart contents.';
  TeeMsg_DrawLineInstructions:='Drag mouse to draw, select and move lines.';

  TeeMsg_SureToDeleteDataSet :='Are you sure to delete DataSet?';
  TeeMsg_Select              :='Selecciona';
  TeeMsg_EMail               :='e-mail';
  TeeMsg_Open                :='Obrir';
  TeeMsg_New                 :='Nou';
  TeeMsg_ImportingWeb        :='Important del Web: %s';
  TeeMsg_Annotation          :='Anotaci';
  TeeMsg_Modified            :='Modificat';

  TeeMsg_Next                :='&Seguent >';
  TeeMsg_OK                  :='Aceptar';
  TeeMsg_Close               :='Tancar';
  TeeMsg_Go                  :='&Anar !';
  TeeMsg_Upload              :='&Pujar !';

  TeeMsg_CannotGetVersion    :='Cannot connect to obtain current version.'+#13+
                              'Error: %d %s';

  TeeMsg_CannotGetNewVersion :='Cannot download current version.'+#13+
                              'Error: %d %s';

  TeeMsg_WrongVersion        :='Wrong version number received.';
  TeeMsg_HasLatestVersion    :='Ja t l''ltima versi.';
  TeeMsg_ClickToUpdateVersion:='Premi Actualitzar per rebre la versi actualitzada.';
  TeeMsg_UpdateButton        :='&Actualitza...';
  TeeMsg_WrongZip            :='Wrong version file received.';
  TeeMsg_VersionReceived     :='Latest version received. Click Ok to Install.';

  TeeMsg_SelectFolder        :='Seleccionar carpeta';
  TeeMsg_EmailNotValid       :='L''adrea de Correu no s correcte.';
  TeeMsg_NameNotValid        :='Si us plau escrigui el seu Nom.';
  TeeMsg_WrongPassword       :='Password is empty. Please type your password or '+#13+
                               'click the Obtain Password button to receive it by e-mail.';
  TeeMsg_WrongChartID        :='Chart name is empty. Please type a Chart name to '+
                               'identify it at the Web Gallery database.';

  TeeMsg_CannotObtainPassword:='Cannot connect to obtain your Password.';
  TeeMsg_PasswordSent        :='La Clau s''ha enviat a la seva adrea de Correu.';
  TeeMsg_Congrats            :='Congratulations.'+#13+'You have been included in TeeChart Office '+
                              'Web Charts Gallery user database.'+#13+
                              TeeMsg_PasswordSent;

  TeeMsg_UploadingWeb        :='Uploading %s to Web Gallery...';
  TeeMsg_Uploaded            :='%s has been uploaded to Web Gallery.';
  TeeMsg_SureToUploadChart   :='Are you sure to upload the current Chart to Web Gallery?';

  TeeMsg_TitleEditor         :='Editor de Ttol';
  TeeMsg_BarWidth            :='Ample Barra %';
  TeeMsg_EnterValue          :='Entrar valor';
  TeeMsg_PieRotation         :='Rotaci';
  TeeMsg_PointWidth          :='Ample';
  TeeMsg_PointHeight         :='Alt';

  TeeMsg_Position            :='Posici: %d,%d';
  TeeMsg_Size                :='Tamany: %d x %d';

  TeeMsg_BetaWarning         :='Nota: '+
                              'This is Pre-Release Software.'+#13+#13+
                              'Some features might be incomplete or'+#13+
                              'removed in the final product version.'+#13+#13+
                              'Submit problems and suggestions at our web site:'+#13+#13+
                              'www.steema.com';

  TeeMsg_OpenWithTeeChartOffice :='Obrir amb &TeeChart Office';

  TeeMsg_Caps               :='MAJU';
  TeeMsg_Num                :='NUM';
  TeeMsg_SCR                :='DES';
  TeeMsg_Chart1             :='Chart1';
  TeeMsg_SaveAs             :='Guardar com...';
  TeeMsg_LeftWall           :='Paret Esquerra';
  TeeMsg_BottomWall         :='Paret Inferior';
  TeeMsg_RightWall          :='Paret Dreta';
  TeeMsg_BackWall           :='Paret Posterior';

  TeeMsg_ShouldClose        :='Si us plau tanqui i tornir a arrencar TeeChartOffice.';
  TeeMsg_AxisDivider        :='Divisor d''eixos';
  TeeMsg_PieTool            :='Porcions Pasts';
  TeeMsg_Table              :='Taula';
  TeeMsg_Query              :='Consulta';
  TeeMsg_XMLFile            :='Arxius XML';
  TeeMsg_ExcelFile          :='Arxius Excel';
  TeeMsg_ExcelEmptyFile     :='El nom de l''arxiu Excel est buit.';
  TeeMsg_Expression         :='Expressi';
end;

begin
  TeeOfficeCatalan;
  SetCatalanConstants;

  if TeeCatalanLanguage=nil then
  begin
    TeeCreateCatalan;
    with TeeCatalanLanguage do
    Text:=Text+#13+
    'NEW USING WIZARD=Nou amb Asistent'#13+
    'OPEN=Obrir'+#13+
    'SAVE AS=Guardar com'#13+
    'SAVE AS...=Guardar com...'#13+
    'REOPEN=Reobrir'#13+
    'ABOUT=A propsit de'+#13+
    'PROPERTIES=Propietats'+#13+
    'CHART TOOLS=Eines'+#13+
    'HELP INDEX=Index de l''Ajuda'+#13+
    'WHAT''S THIS ?=Qu s aix?'+#13+
    'VIEW=Veure'+#13+
    'STATUS BAR=Barra d''estat'+#13+
    'SERIES LIST=Llista de Series'#13+
    'GALLERY=Galera'+#13+
    'TOOLBARS=Barres d''Eines'#13+
    'PAGE=Pgina'#13+
    'AS TAB=Com tapeta'#13+
    'AS WINDOW=Com finestre'#13+
    'HIDE=Ocultar'#13+
    'WEB CHARTS GALLERY=Galera de Grfics al Web'#13+
    'UPDATE VERSION=Actualitzar versi'#13+
    'TEXT MODE=Modus Texte'#13+
    'TEECHART WEB=Web de TeeChart'#13+
    'ONLINE SUPPORT=Suport en lnea'#13+
    'EXIT=Sortir'#13+
    'SEND BY E-MAIL=Enviar per Correu'#13+
    'TEXT LABELS=Etiquetes'#13+
    'X VALUES=Valors X'#13+
    'DUPLICATE=Duplicar'#13+
    'SELECT ALL=Seleccionar Totes'#13+
    'MOVE UP=Moure a dalt'#13+
    'MOVE DOWN=Moure a baix'#13+
    'HIDE SERIES LIST=Ocultar Llista'#13+
    'VIEW 3D=Veure en 3D'#13+
    'AUTO SIZE=Tamany Autom.'#13+
    'ADD ANNOTATION=Afegir Anotaci'#13+
    'ENABLE ZOOM=Permetre Zoom'#13+
    'ENABLE SCROLL=Permetre Desplazament'#13+
    'DRAW LINES=Dibuixar Linees'#13+
    'SHOW HINTS=Veure Ajudes'#13+
    'COLOR EACH POINT=Colorejar punts'#13+
    'SHOW AT LEGEND=Veure a Legenda'#13+
    'SHOW SERIES MARKS=Veure Marques a punts'#13+
    'PROPERTY=Propietat'#13+
    'MODIFIED=Modificat'#13+
    'WALL=Paret'#13+
    'SERIES MARKS=Marques de Series'#13+
    'SIDE MARGINS=Marges laterals'#13+
    'RIGHT SIDE=Costat dret'#13+
    'ALIGN TO TOP=Alinear a dalt'#13+
    'ALIGN TO BOTTOM=Alinear a baix'#13+
    'FONT COLOR=Color de Font'#13+
    'FONT NAME=Nom de Font'#13+
    'FONT SIZE=Tamany de Font'#13+
    'BOLD=Negreta'#13+
    'ITALIC=Cursiva'#13+
    'UNDERLINE=Subrallat'#13+
    'STRIKE OUT=Taxat'#13+
    'LEFT JUSTIFY=Ajustar a la Esquerra'#13+
    'RIGHT JUSTIFY=Ajustar a la Dreta'#13+
    'INTER-CHAR SIZE=Espai entre caracters'#13+
    'HIDE INSPECTOR=Ocultar Inspector'#13+
    'SELECT=Selecciona'#13+
    'CUSTOM POSITION=Posici person.'#13+
    'AXIS LINE=Linea d''Eix'+#13+
    'MINOR GRID=Rejilla menor'#13+
    'CAPS=MAJU'#13+
    'NUM=NUM'#13+
    'SCR=DES'#13+
    'YES=S'#13+
    'NO=No'#13+
    'CHECK-BOXES=Casillas'#13+
    'ANNOTATION=Anotaci'#13+
    'CONNECT TO STEEMA.COM TO UPDATE THIS SOFTWARE.=Conecti a Steema.com per actualitzar la versi.'#13+
    'CURRENT VERSION=Versi actual'#13+
    'LATEST VERSION=Ultima versi'#13+
    'CONNECT=Conectar'#13+
    'UPDATE=Actualitzar'#13+
    'HANDLES=Llpis'#13+
    'AXIS DIVIDER=Divisor d''Eixos'#13+
    'PIE SLICES=Porcions de Pastel'#13+
    'DRAG STYLE=Estil arrastre'#13+
    'TEECHART OFFICE OPTIONS=Opcions de TeeChart Office'#13+
    'LANGUAGE=Llenguatje'#13+
    'RED=Vermell'#13+
    'GREEN=Verd'#13+
    'BLUE=Blau'#13+
    'WHITE=Blanco'#13+
    'YELLOW=Groc'#13+
    'BLACK=Negre'#13+
    'SILVER=Plata'#13+
    'DKGRAY=Gris fosc'#13+
    'BTNFACE=Gris'#13+
    'GRAY SCALE VISUAL=Grisos visual'#13+
    'INVERTED GRAY SCALE=Grisos Invertits'#13+
    'LEFT WALL=Paret Esquerra'#13+
    'BOTTOM WALL=Paret Inferior'#13+
    'RIGHT WALL=Paret Dreta'#13+
    'BACK WALL=Paret Darrera'#13+
    'STAIRS INVERTED=Escala Inv.'#13+
    'FORMATTING=Format'#13+
    'FLOATING POINT=Decimal'#13+
    'DATE-TIME=Data / Hora'#13+
    'CHOOSE AN OPTION=Escolli una opci'+#13+
    'IMPORTING FROM WEB: %S=Agafant del web: %s'#13+
    'LOAD CHART FROM WEB ADDRESS=Agafar grfic del Web'#13+
    'BROWSE THE TEECHART GALLERY AT WWW.STEEMA.COM=Veure la Galera de Grfics a www.Steema.com'#13+
    'GO !=Anar !'#13+
    'UPLOAD !=Pujar !'#13+
    'UPLOAD CURRENT CHART TO WEB GALLERY=Pujar el seu Grfic a la Galera al Web'#13+
    'TEECHART OFFICE WEB GALLERY=Galera de Grfics al Web'#13+
    'YOUR NAME=El seu Nom'#13+
    'YOUR E-MAIL=El seu e-Mail'#13+
    'PASSWORD=Mot de clau'#13+
    'OBTAIN PASSWORD=Obtenir Clau'#13+
    'CHART NAME=Nom Grfic'#13+
    'FIRST=Primera'#13+
    'PRIOR=Anterior'#13+
    'NEXT=Seguent'#13+
    'LAST=Ultima'#13+
    'CREATE NEW DATASET=Crear nova Taula o Consulta'#13+
    'DATASET STYLE=Tipus de Base de Dades'#13+
    'SQL QUERY=Consulta SQL'#13+
    'FROM=Desde'#13+
    'TO=Fins'#13+
    'STEP=Cada'#13+
    'VALUE=Valor'#13+
    'EXCEL FILE=Arxiu Excel'#13+
    'WORKSHEET=Llibre'#13+
    'VALUES RANGE=Rang Valors'#13+
    'LABELS RANGE=Rang Textes'#13+
    'FOCUS=Resaltar'#13+
    'EXPLODE=Expandir';
  end;

  TeeSetCatalan;
end;

Procedure SetEnglishConstants;
begin
  TeeMsg_ZoomInstructions    :='Drag mouse to right-bottom to zoom. To left-top to unzoom.';
  TeeMsg_ScrollInstructions  :='Drag mouse to scroll Chart contents.';
  TeeMsg_DrawLineInstructions:='Drag mouse to draw, select and move lines.';

  TeeMsg_SureToDeleteDataSet :='Are you sure to delete DataSet?';
  TeeMsg_Select              :='Select';
  TeeMsg_EMail               :='e-mail';
  TeeMsg_Open                :='Open';
  TeeMsg_New                 :='New';
  TeeMsg_ImportingWeb        :='Importing from Web: %s';
  TeeMsg_Annotation          :='Annotation';
  TeeMsg_Modified            :='Modified';

  TeeMsg_Next                :='&Next >';
  TeeMsg_OK                  :='OK';
  TeeMsg_Close               :='Close';
  TeeMsg_Go                  :='&Go !';
  TeeMsg_Upload              :='&Upload !';

  TeeMsg_CannotGetVersion    :='Cannot connect to obtain current version.'+#13+
                              'Error: %d %s';

  TeeMsg_CannotGetNewVersion :='Cannot download current version.'+#13+
                              'Error: %d %s';

  TeeMsg_WrongVersion        :='Wrong version number received.';
  TeeMsg_HasLatestVersion    :='You already have the latest version.';
  TeeMsg_ClickToUpdateVersion:='Click the Update button to receive the latest version.';
  TeeMsg_UpdateButton        :='&Update...';
  TeeMsg_WrongZip            :='Wrong version file received.';
  TeeMsg_VersionReceived     :='Latest version received. Click Ok to Install.';

  TeeMsg_SelectFolder        :='Select Folder';
  TeeMsg_EmailNotValid       :='Email address is not correct.';
  TeeMsg_NameNotValid        :='Your Name is empty. Please type your name.';
  TeeMsg_WrongPassword       :='Password is empty. Please type your password or '+#13+
                              'click the Obtain Password button to receive it by e-mail.';
  TeeMsg_WrongChartID        :='Chart name is empty. Please type a Chart name to '+
                              'identify it at the Web Gallery database.';

  TeeMsg_CannotObtainPassword:='Cannot connect to obtain your Password.';
  TeeMsg_PasswordSent        :='Your Password has been sent to your email address.';
  TeeMsg_Congrats            :='Congratulations.'+#13+'You have been included in TeeChart Office '+
                              'Web Charts Gallery user database.'+#13+
                              TeeMsg_PasswordSent;

  TeeMsg_UploadingWeb        :='Uploading %s to Web Gallery...';
  TeeMsg_Uploaded            :='%s has been uploaded to Web Gallery.';
  TeeMsg_SureToUploadChart   :='Are you sure to upload the current Chart to Web Gallery?';

  TeeMsg_TitleEditor         :='Title Editor';
  TeeMsg_BarWidth            :='Bar Width %';
  TeeMsg_EnterValue          :='Enter value';
  TeeMsg_PieRotation         :='Rotation';
  TeeMsg_PointWidth          :='Width';
  TeeMsg_PointHeight         :='Height';

  TeeMsg_Position            :='Position: %d,%d';
  TeeMsg_Size                :='Size: %d x %d';

  TeeMsg_BetaWarning         :='Note: '+
                              'This is Pre-Release Software.'+#13+#13+
                              'Some features might be incomplete or'+#13+
                              'removed in the final product version.'+#13+#13+
                              'Submit problems and suggestions at our web site:'+#13+#13+
                              'www.steema.com';

  TeeMsg_OpenWithTeeChartOffice :='Open with &TeeChart Office';
  TeeMsg_ShouldClose        :='Please close and restart TeeChartOffice.';

  TeeMsg_Caps               :='CAPS';
  TeeMsg_Num                :='NUM';
  TeeMsg_SCR                :='SCR';
  TeeMsg_Chart1             :='Chart1';
  TeeMsg_SaveAs             :='Save as...';
  TeeMsg_LeftWall           :='Left Wall';
  TeeMsg_BottomWall         :='Bottom Wall';
  TeeMsg_RightWall          :='Right Wall';
  TeeMsg_BackWall           :='Back Wall';
  TeeMsg_ShouldClose        :='Please close and restart TeeChartOffice.';
  TeeMsg_AxisDivider        :='Axis Divider';
  TeeMsg_PieTool            :='Pie Slices';
  TeeMsg_Table              :='Table';
  TeeMsg_Query              :='Query';
  TeeMsg_XMLFile            :='XML files';
  TeeMsg_ExcelFile          :='Excel files';
  TeeMsg_ExcelEmptyFile     :='Excel file name is empty.';
  TeeMsg_Expression         :='Expression';
end;

Procedure TeeChartOfficeEnglish;
begin
  SetEnglishConstants;
  TeeSetEnglish;
end;

Procedure TeeChartOfficeGerman;

Procedure SetGermanConstants;
begin
  TeeMsg_ZoomInstructions    :='Ziehen Sie die Maus nach rechts unten fr Zoom.';
  TeeMsg_ScrollInstructions  :='Ziehen Sie die Maus, um die Chartinhalte zu srollen.';
  TeeMsg_DrawLineInstructions:='Ziehen Sie die Maus, um Linien zu zeichnen, auszuwhlen und zu bewegen.';

  TeeMsg_SureToDeleteDataSet :='Soll der Datensatz wirklich gelscht werden?'; 
  TeeMsg_Select              :='Auswhlen'; 
  TeeMsg_EMail               :='e-mail';
  TeeMsg_Open                :='ffnen';
  TeeMsg_New                 :='Neu'; 
  TeeMsg_ImportingWeb        :='Aus dem Web importieren: %s'; 
  TeeMsg_Annotation          :='Kommentar'; 
  TeeMsg_Modified            :='Modifiziert'; 
 
  TeeMsg_Next                :='&Nchster>'; 
  TeeMsg_OK                  :='OK'; 
  TeeMsg_Close               :='Schlieen'; 
  TeeMsg_Go                  :='&Go !'; 
  TeeMsg_Upload              :='&Upload !';

  TeeMsg_CannotGetVersion    :='Kann nicht verbinden, um aktuelle Version zu erhalten.' 
                                +#13+'Fehler: %d %s'; 
 
  TeeMsg_CannotGetNewVersion :='Kann aktuelle Version nicht herunterladen.'+#13+'Fehler: %d %s'; 
 
  TeeMsg_WrongVersion        :='Falsche Version erhalten.'; 
  TeeMsg_HasLatestVersion    :='Sie besitzen bereits die letzte Version.';
  TeeMsg_ClickToUpdateVersion:='Klicken Sie die Schaltflche ''Update'', um die letzt Version zu erhalten.';
  TeeMsg_UpdateButton        :='&Update...';
  TeeMsg_WrongZip            :='Falscher File der Version empfangen.';
  TeeMsg_VersionReceived     :='Letzte Version empfangen. Klicken Sie OK zur Installation.';

  TeeMsg_SelectFolder        :='Ordner auswhlen';
  TeeMsg_EmailNotValid       :='Email-Adresse ist nicht korrekt.';
  TeeMsg_NameNotValid        :='Ihr Name ist leer. Bitte geben Sie Ihren Namen an.';
  TeeMsg_WrongPassword       :='Pawort ist leer. Bitte geben Sie Ihr Pawort an oder'
                                +#13+'klicken Sie auf ''Pawort erhalten'', um es als e-mail zu empfangen.';
  TeeMsg_WrongChartID        :='Chartname ist leer. Bitte geben Sie einen Chartnamen an, um ihn '+' in der Datenbank der Web-Galerie zu identifizieren.';
 
  TeeMsg_CannotObtainPassword:='Kann nicht verbinden, um Ihr Pawort zu erhalten.'; 
  TeeMsg_PasswordSent        :='Ihr Pawort wurde an Ihre  e-mail Adresse gesendet.';
  TeeMsg_Congrats            :='Gratulation.'+#13+'Sie stehen in der Anwender-Datenbank der TeeChart Office'+'Web Charts-Galerie.'+#13+TeeMsg_PasswordSent;
 
  TeeMsg_UploadingWeb        :='Speichern von %s in die Web Galerie...';
  TeeMsg_Uploaded            :='%s wurde in die Web Galerie gespeichert.';
  TeeMsg_SureToUploadChart   :='Sind Sie sicher, den aktuellen Chart zur Web Galerie zu speichern?'; 
 
  TeeMsg_TitleEditor         :='Titel Editor'; 
  TeeMsg_BarWidth            :='Sulenbreite %'; 
  TeeMsg_EnterValue          :='Wert eingeben'; 
  TeeMsg_PieRotation         :='Drehung'; 
  TeeMsg_PointWidth          :='Breite';
  TeeMsg_PointHeight         :='Hhe'; 
 
  TeeMsg_Position            :='Position: %d,%d'; 
  TeeMsg_Size                :='Gre: %d x %d'; 
 
  TeeMsg_BetaWarning         :='Achtung: '+'Das ist eine Pre-Release Software.'+#13+#13+
                               'Einige Features knnen unvollstndig oder'+#13+
                               ' in der spteren Produkt-Version entfernt sein.'+#13+#13+
                               'Geben Sie Probleme und Vorschlge in unsere Website:'+#13+#13+
                               'www.steema.com';
 
  TeeMsg_OpenWithTeeChartOffice :='ffnen mit &TeeChart Office'; 
 
  TeeMsg_Caps               :='CAPS';
  TeeMsg_Num                :='NUM';
  TeeMsg_SCR                :='SCR';
  TeeMsg_Chart1             :='Chart1';
  TeeMsg_SaveAs             :='Speichern unter...';
  TeeMsg_LeftWall           :='Linke Wand';
  TeeMsg_BottomWall         :='Untere Wand';
  TeeMsg_RightWall          :='Rechte Wand';
  TeeMsg_BackWall           :='Hintere Wand';
  TeeMsg_ShouldClose        :='Bitte schlieen und starten Sie TeeChart Office neu.';

  { pending }
  TeeMsg_AxisDivider        :='Axis Divider';
  TeeMsg_PieTool            :='Pie Slices';
  TeeMsg_Table              :='Table';
  TeeMsg_Query              :='Query';
  TeeMsg_XMLFile            :='XML files';
  TeeMsg_ExcelFile          :='Excel files';
  TeeMsg_ExcelEmptyFile     :='Excel file name is empty.';
  TeeMsg_Expression         :='Expression';
end;

begin
  SetGermanConstants;

  if TeeGermanLanguage=nil then
  begin
    TeeCreateGerman;
    with TeeGermanLanguage do
    Text:=Text+#13+
    'NEW USING WIZARD=Neuer Assistent'#13+
    'OPEN=ffnen'+#13+
    'SAVE AS=Speichern unter'#13+
    'REOPEN=Wiederherstellen'#13+
    'ABOUT=ber'+#13+
    'PROPERTIES=Eigenschaft'+#13+
    'CHART TOOLS=Werkzeuge'+#13+
    'HELP INDEX=Hilfe Index'+#13+
    'WHAT''S THIS ?=Was ist das?'+#13+
    'VIEW=Sehen'+#13+
    'STATUS BAR=Statusbalken'+#13+
    'SERIES LIST=Liste der Reihen'#13+
    'GALLERY=Galerie'+#13+
    'TOOLBARS=Toolbox'#13+
    'PAGE=Seite'#13+
    'AS TAB=Als Register'#13+
    'AS WINDOW=Als Fenster'#13+
    'HIDE=Verbergen'#13+
    'WEB CHARTS GALLERY=Web Charts Galerie'#13+
    'UPDATE VERSION=Version aktualisieren'#13+
    'TEXT MODE=Textmodus'#13+
    'TEECHART WEB=TeeChart Web'#13+
    'ONLINE SUPPORT=Online Support'#13+
    'EXIT=Verlassen'#13+
    'SEND BY E-MAIL=Als E-mail senden'#13+
    'TEXT LABELS=Text Labels'#13+
    'X VALUES=X Werte'#13+
    'DUPLICATE=Dublizieren'#13+
    'SELECT ALL=Alles auswhlen'#13+
    'MOVE UP=Nach oben bewegen'#13+
    'MOVE DOWN=Nach unten bewegen'#13+
    'HIDE SERIES LIST=Reihenliste verbergen'#13+
    'VIEW 3D=3D Ansicht'#13+
    'AUTO SIZE=Autom. Gre'#13+
    'ADD ANNOTATION=Kommentar hinzufgen'#13+
    'ENABLE ZOOM=Zoom erlauben'#13+
    'ENABLE SCROLL=Scroll erlauben'#13+
    'DRAW LINES=Linien zeichnen'#13+
    'SHOW HINTS=Hinweise anzeigen'#13+
    'COLOR EACH POINT=Jeder Punkt farbig'#13+
    'SHOW AT LEGEND=In Legende anzeigen'#13+
    'SHOW SERIES MARKS=ReihenMarks anzeigen'#13+
    'PROPERTY=Eigenschaft'#13+
    'MODIFIED=Verndert'#13+
    'WALL=Wand'#13+
    'SERIES MARKS=ReihenMarks'#13+
    'SIDE MARGINS=Randabstnde'#13+
    'RIGHT SIDE=Rechte Seite'#13+
    'ALIGN TO TOP=Obere Ausrichtung'#13+
    'ALIGN TO BOTTOM=Untere Ausrichtung'#13+
    'FONT COLOR=Schriftfarbe'#13+
    'FONT NAME=Schriftname'#13+
    'FONT SIZE=Schriftgre'#13+
    'BOLD=Fett'#13+
    'ITALIC=Kursiv'#13+
    'UNDERLINE=Unterstrichen'#13+
    'STRIKE OUT=Durchgestrichen'#13+
    'LEFT JUSTIFY=Linksbndig'#13+
    'RIGHT JUSTIFY=Rechsbndig'#13+
    'INTER-CHAR SIZE=Abstand zwischen Buchstaben'#13+
    'HIDE INSPECTOR=Inspector verbergen'#13+
    'SELECT=Auswhlen'#13+
    'CUSTOM POSITION=Benutzerdef. Position'#13+
    'AXIS LINE=Achslinie'+#13+
    'MINOR GRID=Untergitter'#13+
    'CAPS=Grobuchstabe'#13+
    'NUM=NUM'#13+
    'SCR=SCR'#13+
    'YES=Ja'#13+
    'NO=Nein'#13+
    'CHECK-BOXES=Kontrollkstchen'#13+
    'ANNOTATION=Kommentar'#13+
    'CONNECT TO STEEMA.COM TO UPDATE THIS SOFTWARE.=Verbinden mit Steema.com zur Aktualisierung ihrer Version.'#13+
    'CURRENT VERSION=Aktuelle Version'#13+
    'LATEST VERSION=Letzte Version'#13+
    'CONNECT=Verbinden'#13+
    'UPDATE=Aktualisieren'#13+
    'HANDLES=Lpiz'#13+
    'AXIS DIVIDER=Achsteiler'#13+
    'PIE SLICES=Kreisscheiben'#13+
    'DRAG STYLE=Stil ziehen'#13+
    'TEECHART OFFICE OPTIONS=TeeChart Office Optionen'#13+
    'LANGUAGE=Sprache'#13+
    'RED=Rot'#13+
    'GREEN=Green'#13+
    'BLUE=Blau'#13+
    'WHITE=Wei'#13+
    'YELLOW=Gelb'#13+
    'BLACK=Schwarz'#13+
    'SILVER=Silber'#13+
    'DKGRAY=Dunkelgrau'#13+
    'BTNFACE=Grau'#13+
    'GRAY SCALE VISUAL=Graustufen'#13+
    'INVERTED GRAY SCALE=Inverse Graustufen'#13+
    'LEFT WALL=Linke Wand'#13+
    'BOTTOM WALL=Untere Wand'#13+
    'RIGHT WALL=Rechte Wand'#13+
    'BACK WALL=Hintere Wand'#13+
    'STAIRS INVERTED=Inv. Treppen'#13+
    'FORMATTING=Formatieren'#13+
    'FLOATING POINT=Dezimal'#13+
    'DATE-TIME=Datum/Uhrzeit'#13+
    'CHOOSE AN OPTION=Option auswhlen'#13+
    'IMPORTING FROM WEB: %S=Aus dem Web importieren: %s'#13+
    'LOAD CHART FROM WEB ADDRESS=Chart aus Web-Adresse laden'#13+
    'BROWSE THE TEECHART GALLERY AT WWW.STEEMA.COM=TeeChart Galerie unter www.Steema.com durchsuchen'#13+
    'GO !=Los !'#13+
    'UPLOAD !=Hochladen !'#13+
    'UPLOAD CURRENT CHART TO WEB GALLERY=Aktuellen Chart zur Web-Galerie hochladen'#13+
    'TEECHART OFFICE WEB GALLERY=TeeChart Office Web Galerie'#13+
    'YOUR NAME=Ihr Name'#13+
    'YOUR E-MAIL=Ihre E-mail'#13+
    'PASSWORD=Pawort'#13+
    'OBTAIN PASSWORD=Pawort erhalten'#13+
    'CHART NAME=Chart-Name'#13
    ;
  end;
  TeeSetGerman;
end;

Procedure SetFrenchConstants;
begin
  TeeMsg_ZoomInstructions    :='Drag mouse to right-bottom to zoom. To left-top to unzoom.';
  TeeMsg_ScrollInstructions  :='Drag mouse to scroll Chart contents.';
  TeeMsg_DrawLineInstructions:='Drag mouse to draw, select and move lines.';

  TeeMsg_SureToDeleteDataSet :='Are you sure to delete DataSet?';
  TeeMsg_Select              :='Select';
  TeeMsg_EMail               :='e-mail';
  TeeMsg_Open                :='Open';
  TeeMsg_New                 :='New';
  TeeMsg_ImportingWeb        :='Importing from Web: %s';
  TeeMsg_Annotation          :='Annotation';
  TeeMsg_Modified            :='Modified';

  TeeMsg_Next                :='&Next >';
  TeeMsg_OK                  :='OK';
  TeeMsg_Close               :='Close';
  TeeMsg_Go                  :='&Go !';
  TeeMsg_Upload              :='&Upload !';

  TeeMsg_CannotGetVersion    :='Cannot connect to obtain current version.'+#13+
                              'Error: %d %s';

  TeeMsg_CannotGetNewVersion :='Cannot download current version.'+#13+
                              'Error: %d %s';

  TeeMsg_WrongVersion        :='Wrong version number received.';
  TeeMsg_HasLatestVersion    :='You already have the latest version.';
  TeeMsg_ClickToUpdateVersion:='Click the Update button to receive the latest version.';
  TeeMsg_UpdateButton        :='&Update...';
  TeeMsg_WrongZip            :='Wrong version file received.';
  TeeMsg_VersionReceived     :='Latest version received. Click Ok to Install.';

  TeeMsg_SelectFolder        :='Select Folder';
  TeeMsg_EmailNotValid       :='Email address is not correct.';
  TeeMsg_NameNotValid        :='Your Name is empty. Please type your name.';
  TeeMsg_WrongPassword       :='Password is empty. Please type your password or '+#13+
                              'click the Obtain Password button to receive it by e-mail.';
  TeeMsg_WrongChartID        :='Chart name is empty. Please type a Chart name to '+
                              'identify it at the Web Gallery database.';

  TeeMsg_CannotObtainPassword:='Cannot connect to obtain your Password.';
  TeeMsg_PasswordSent        :='Your Password has been sent to your email address.';
  TeeMsg_Congrats            :='Congratulations.'+#13+'You have been included in TeeChart Office '+
                              'Web Charts Gallery user database.'+#13+
                              TeeMsg_PasswordSent;

  TeeMsg_UploadingWeb        :='Uploading %s to Web Gallery...';
  TeeMsg_Uploaded            :='%s has been uploaded to Web Gallery.';
  TeeMsg_SureToUploadChart   :='Are you sure to upload the current Chart to Web Gallery?';

  TeeMsg_TitleEditor         :='Title Editor';
  TeeMsg_BarWidth            :='Bar Width %';
  TeeMsg_EnterValue          :='Enter value';
  TeeMsg_PieRotation         :='Rotation';
  TeeMsg_PointWidth          :='Width';
  TeeMsg_PointHeight         :='Height';

  TeeMsg_Position            :='Position: %d,%d';
  TeeMsg_Size                :='Size: %d x %d';

  TeeMsg_BetaWarning         :='Note: '+
                              'This is Pre-Release Software.'+#13+#13+
                              'Some features might be incomplete or'+#13+
                              'removed in the final product version.'+#13+#13+
                              'Submit problems and suggestions at our web site:'+#13+#13+
                              'www.steema.com';

  TeeMsg_OpenWithTeeChartOffice :='Open with &TeeChart Office';

  TeeMsg_Caps               :='CAPS';
  TeeMsg_Num                :='NUM';
  TeeMsg_SCR                :='SCR';
  TeeMsg_Chart1             :='Chart1';
  TeeMsg_SaveAs             :='Save as...';
  TeeMsg_LeftWall           :='Left Wall';
  TeeMsg_BottomWall         :='Bottom Wall';
  TeeMsg_RightWall          :='Right Wall';
  TeeMsg_BackWall           :='Back Wall';
  TeeMsg_ShouldClose        :='Please close and restart TeeChartOffice.';

  { pending }
  TeeMsg_AxisDivider        :='Axis Divider';
  TeeMsg_PieTool            :='Pie Slices';
  TeeMsg_Table              :='Table';
  TeeMsg_Query              :='Query';
  TeeMsg_XMLFile            :='XML files';
  TeeMsg_ExcelFile          :='Excel files';
  TeeMsg_ExcelEmptyFile     :='Excel file name is empty.';
  TeeMsg_Expression         :='Expression';
end;

Procedure TeeChartOfficeFrench;
begin
  SetFrenchConstants;

  if TeeFrenchLanguage=nil then
  begin
    TeeCreateFrench;
    with TeeFrenchLanguage do ;
  end;
  TeeSetFrench;
end;

Procedure SetBrazilConstants;
begin
  TeeMsg_ZoomInstructions    :='Drag mouse to right-bottom to zoom. To left-top to unzoom.';
  TeeMsg_ScrollInstructions  :='Drag mouse to scroll Chart contents.';
  TeeMsg_DrawLineInstructions:='Drag mouse to draw, select and move lines.';

  TeeMsg_SureToDeleteDataSet :='Are you sure to delete DataSet?';
  TeeMsg_Select              :='Select';
  TeeMsg_EMail               :='e-mail';
  TeeMsg_Open                :='Open';
  TeeMsg_New                 :='New';
  TeeMsg_ImportingWeb        :='Importing from Web: %s';
  TeeMsg_Annotation          :='Annotation';
  TeeMsg_Modified            :='Modified';

  TeeMsg_Next                :='&Next >';
  TeeMsg_OK                  :='OK';
  TeeMsg_Close               :='Close';
  TeeMsg_Go                  :='&Go !';
  TeeMsg_Upload              :='&Upload !';

  TeeMsg_CannotGetVersion    :='Cannot connect to obtain current version.'+#13+
                              'Error: %d %s';

  TeeMsg_CannotGetNewVersion :='Cannot download current version.'+#13+
                              'Error: %d %s';

  TeeMsg_WrongVersion        :='Wrong version number received.';
  TeeMsg_HasLatestVersion    :='You already have the latest version.';
  TeeMsg_ClickToUpdateVersion:='Click the Update button to receive the latest version.';
  TeeMsg_UpdateButton        :='&Update...';
  TeeMsg_WrongZip            :='Wrong version file received.';
  TeeMsg_VersionReceived     :='Latest version received. Click Ok to Install.';

  TeeMsg_SelectFolder        :='Select Folder';
  TeeMsg_EmailNotValid       :='Email address is not correct.';
  TeeMsg_NameNotValid        :='Your Name is empty. Please type your name.';
  TeeMsg_WrongPassword       :='Password is empty. Please type your password or '+#13+
                              'click the Obtain Password button to receive it by e-mail.';
  TeeMsg_WrongChartID        :='Chart name is empty. Please type a Chart name to '+
                              'identify it at the Web Gallery database.';

  TeeMsg_CannotObtainPassword:='Cannot connect to obtain your Password.';
  TeeMsg_PasswordSent        :='Your Password has been sent to your email address.';
  TeeMsg_Congrats            :='Congratulations.'+#13+'You have been included in TeeChart Office '+
                              'Web Charts Gallery user database.'+#13+
                              TeeMsg_PasswordSent;

  TeeMsg_UploadingWeb        :='Uploading %s to Web Gallery...';
  TeeMsg_Uploaded       :='%s has been uploaded to Web Gallery.';
  TeeMsg_SureToUploadChart   :='Are you sure to upload the current Chart to Web Gallery?';

  TeeMsg_TitleEditor         :='Title Editor';
  TeeMsg_BarWidth            :='Bar Width %';
  TeeMsg_EnterValue          :='Enter value';
  TeeMsg_PieRotation         :='Rotation';
  TeeMsg_PointWidth          :='Width';
  TeeMsg_PointHeight         :='Height';

  TeeMsg_Position            :='Position: %d,%d';
  TeeMsg_Size                :='Size: %d x %d';

  TeeMsg_BetaWarning         :='Note: '+
                              'This is Pre-Release Software.'+#13+#13+
                              'Some features might be incomplete or'+#13+
                              'removed in the final product version.'+#13+#13+
                              'Submit problems and suggestions at our web site:'+#13+#13+
                              'www.steema.com';

  TeeMsg_OpenWithTeeChartOffice :='Open with &TeeChart Office';

  TeeMsg_Caps               :='CAPS';
  TeeMsg_Num                :='NUM';
  TeeMsg_SCR                :='SCR';
  TeeMsg_Chart1             :='Chart1';
  TeeMsg_SaveAs             :='Save as...';
  TeeMsg_LeftWall           :='Left Wall';
  TeeMsg_BottomWall         :='Bottom Wall';
  TeeMsg_RightWall          :='Right Wall';
  TeeMsg_BackWall           :='Back Wall';
  TeeMsg_ShouldClose        :='Please close and restart TeeChartOffice.';

  { pending }
  TeeMsg_AxisDivider        :='Axis Divider';
  TeeMsg_PieTool            :='Pie Slices';
  TeeMsg_Table              :='Table';
  TeeMsg_Query              :='Query';
  TeeMsg_XMLFile            :='XML files';
  TeeMsg_ExcelFile          :='Excel files';
  TeeMsg_ExcelEmptyFile     :='Excel file name is empty.';
  TeeMsg_Expression         :='Expression';
end;

Procedure TeeChartOfficeBrazil;
begin
  SetBrazilConstants;

  if TeeBrazilLanguage=nil then
  begin
    TeeCreateBrazil;
    with TeeBrazilLanguage do ;
  end;
  TeeSetBrazil;
end;

Procedure TeeChartOfficeDanish;

Procedure SetDanishConstants;
begin
  TeeMsg_ZoomInstructions    :='Drag mouse to right-bottom to zoom. To left-top to unzoom.';
  TeeMsg_ScrollInstructions  :='Drag mouse to scroll Chart contents.';
  TeeMsg_DrawLineInstructions:='Drag mouse to draw, select and move lines.';

  TeeMsg_SureToDeleteDataSet :='Are you sure to delete DataSet?';
  TeeMsg_Select              :='Select';
  TeeMsg_EMail               :='e-mail';
  TeeMsg_Open                :='Open';
  TeeMsg_New                 :='New';
  TeeMsg_ImportingWeb        :='Importing from Web: %s';
  TeeMsg_Annotation          :='Annotation';
  TeeMsg_Modified            :='Modified';

  TeeMsg_Next                :='&Next >';
  TeeMsg_OK                  :='OK';
  TeeMsg_Close               :='Close';
  TeeMsg_Go                  :='&Go !';
  TeeMsg_Upload              :='&Upload !';

  TeeMsg_CannotGetVersion    :='Cannot connect to obtain current version.'+#13+
                              'Error: %d %s';

  TeeMsg_CannotGetNewVersion :='Cannot download current version.'+#13+
                              'Error: %d %s';

  TeeMsg_WrongVersion        :='Wrong version number received.';
  TeeMsg_HasLatestVersion    :='You already have the latest version.';
  TeeMsg_ClickToUpdateVersion:='Click the Update button to receive the latest version.';
  TeeMsg_UpdateButton        :='&Update...';
  TeeMsg_WrongZip            :='Wrong version file received.';
  TeeMsg_VersionReceived     :='Latest version received. Click Ok to Install.';

  TeeMsg_SelectFolder        :='Select Folder';
  TeeMsg_EmailNotValid       :='Email address is not correct.';
  TeeMsg_NameNotValid        :='Your Name is empty. Please type your name.';
  TeeMsg_WrongPassword       :='Password is empty. Please type your password or '+#13+
                              'click the Obtain Password button to receive it by e-mail.';
  TeeMsg_WrongChartID        :='Chart name is empty. Please type a Chart name to '+
                              'identify it at the Web Gallery database.';

  TeeMsg_CannotObtainPassword:='Cannot connect to obtain your Password.';
  TeeMsg_PasswordSent        :='Your Password has been sent to your email address.';
  TeeMsg_Congrats            :='Congratulations.'+#13+'You have been included in TeeChart Office '+
                              'Web Charts Gallery user database.'+#13+
                              TeeMsg_PasswordSent;

  TeeMsg_UploadingWeb        :='Uploading %s to Web Gallery...';
  TeeMsg_Uploaded       :='%s has been uploaded to Web Gallery.';
  TeeMsg_SureToUploadChart   :='Are you sure to upload the current Chart to Web Gallery?';

  TeeMsg_TitleEditor         :='Title Editor';
  TeeMsg_BarWidth            :='Bar Width %';
  TeeMsg_EnterValue          :='Enter value';
  TeeMsg_PieRotation         :='Rotation';
  TeeMsg_PointWidth          :='Width';
  TeeMsg_PointHeight         :='Height';

  TeeMsg_Position            :='Position: %d,%d';
  TeeMsg_Size                :='Size: %d x %d';

  TeeMsg_BetaWarning         :='Note: '+
                              'This is Pre-Release Software.'+#13+#13+
                              'Some features might be incomplete or'+#13+
                              'removed in the final product version.'+#13+#13+
                              'Submit problems and suggestions at our web site:'+#13+#13+
                              'www.steema.com';

  TeeMsg_OpenWithTeeChartOffice :='Open with &TeeChart Office';

  TeeMsg_Caps               :='CAPS';
  TeeMsg_Num                :='NUM';
  TeeMsg_SCR                :='SCR';
  TeeMsg_Chart1             :='Chart1';
  TeeMsg_SaveAs             :='Save as...';
  TeeMsg_LeftWall           :='Left Wall';
  TeeMsg_BottomWall         :='Bottom Wall';
  TeeMsg_RightWall          :='Right Wall';
  TeeMsg_BackWall           :='Back Wall';
  TeeMsg_ShouldClose        :='Please close and restart TeeChartOffice.';

  { pending }
  TeeMsg_AxisDivider        :='Axis Divider';
  TeeMsg_PieTool            :='Pie Slices';
  TeeMsg_Table              :='Table';
  TeeMsg_Query              :='Query';
  TeeMsg_XMLFile            :='XML files';
  TeeMsg_ExcelFile          :='Excel files';
  TeeMsg_ExcelEmptyFile     :='Excel file name is empty.';
  TeeMsg_Expression         :='Expression';
end;

begin
  SetDanishConstants;

  if TeeDanishLanguage=nil then
  begin
    TeeCreateDanish;
    with TeeDanishLanguage do ;
  end;

  TeeSetDanish;
end;

Procedure TeeChartOfficeDutch;

Procedure SetDutchConstants;
begin
  TeeMsg_ZoomInstructions    :='Drag mouse to right-bottom to zoom. To left-top to unzoom.';
  TeeMsg_ScrollInstructions  :='Drag mouse to scroll Chart contents.';
  TeeMsg_DrawLineInstructions:='Drag mouse to draw, select and move lines.';

  TeeMsg_SureToDeleteDataSet :='Are you sure to delete DataSet?';
  TeeMsg_Select              :='Select';
  TeeMsg_EMail               :='e-mail';
  TeeMsg_Open                :='Open';
  TeeMsg_New                 :='New';
  TeeMsg_ImportingWeb        :='Importing from Web: %s';
  TeeMsg_Annotation          :='Annotation';
  TeeMsg_Modified            :='Modified';

  TeeMsg_Next                :='&Next >';
  TeeMsg_OK                  :='OK';
  TeeMsg_Close               :='Close';
  TeeMsg_Go                  :='&Go !';
  TeeMsg_Upload              :='&Upload !';

  TeeMsg_CannotGetVersion    :='Cannot connect to obtain current version.'+#13+
                              'Error: %d %s';

  TeeMsg_CannotGetNewVersion :='Cannot download current version.'+#13+
                              'Error: %d %s';

  TeeMsg_WrongVersion        :='Wrong version number received.';
  TeeMsg_HasLatestVersion    :='You already have the latest version.';
  TeeMsg_ClickToUpdateVersion:='Click the Update button to receive the latest version.';
  TeeMsg_UpdateButton        :='&Update...';
  TeeMsg_WrongZip            :='Wrong version file received.';
  TeeMsg_VersionReceived     :='Latest version received. Click Ok to Install.';

  TeeMsg_SelectFolder        :='Select Folder';
  TeeMsg_EmailNotValid       :='Email address is not correct.';
  TeeMsg_NameNotValid        :='Your Name is empty. Please type your name.';
  TeeMsg_WrongPassword       :='Password is empty. Please type your password or '+#13+
                              'click the Obtain Password button to receive it by e-mail.';
  TeeMsg_WrongChartID        :='Chart name is empty. Please type a Chart name to '+
                              'identify it at the Web Gallery database.';

  TeeMsg_CannotObtainPassword:='Cannot connect to obtain your Password.';
  TeeMsg_PasswordSent        :='Your Password has been sent to your email address.';
  TeeMsg_Congrats            :='Congratulations.'+#13+'You have been included in TeeChart Office '+
                              'Web Charts Gallery user database.'+#13+
                              TeeMsg_PasswordSent;

  TeeMsg_UploadingWeb        :='Uploading %s to Web Gallery...';
  TeeMsg_Uploaded       :='%s has been uploaded to Web Gallery.';
  TeeMsg_SureToUploadChart   :='Are you sure to upload the current Chart to Web Gallery?';

  TeeMsg_TitleEditor         :='Title Editor';
  TeeMsg_BarWidth            :='Bar Width %';
  TeeMsg_EnterValue          :='Enter value';
  TeeMsg_PieRotation         :='Rotation';
  TeeMsg_PointWidth          :='Width';
  TeeMsg_PointHeight         :='Height';

  TeeMsg_Position            :='Position: %d,%d';
  TeeMsg_Size                :='Size: %d x %d';

  TeeMsg_BetaWarning         :='Note: '+
                              'This is Pre-Release Software.'+#13+#13+
                              'Some features might be incomplete or'+#13+
                              'removed in the final product version.'+#13+#13+
                              'Submit problems and suggestions at our web site:'+#13+#13+
                              'www.steema.com';

  TeeMsg_OpenWithTeeChartOffice :='Open with &TeeChart Office';

  TeeMsg_Caps               :='CAPS';
  TeeMsg_Num                :='NUM';
  TeeMsg_SCR                :='SCR';
  TeeMsg_Chart1             :='Chart1';
  TeeMsg_SaveAs             :='Save as...';
  TeeMsg_LeftWall           :='Left Wall';
  TeeMsg_BottomWall         :='Bottom Wall';
  TeeMsg_RightWall          :='Right Wall';
  TeeMsg_BackWall           :='Back Wall';
  TeeMsg_ShouldClose        :='Please close and restart TeeChartOffice.';

  { pending }
  TeeMsg_AxisDivider        :='Axis Divider';
  TeeMsg_PieTool            :='Pie Slices';
  TeeMsg_Table              :='Table';
  TeeMsg_Query              :='Query';
  TeeMsg_XMLFile            :='XML files';
  TeeMsg_ExcelFile          :='Excel files';
  TeeMsg_ExcelEmptyFile     :='Excel file name is empty.';
  TeeMsg_Expression         :='Expression';
end;

begin
  SetDutchConstants;

  if TeeDutchLanguage=nil then
  begin
    TeeCreateDutch;
    with TeeDutchLanguage do ;
  end;

  TeeSetDutch;
end;

Procedure TeeChartOfficeSwedish;

Procedure SetSwedishConstants;
begin
  TeeMsg_ZoomInstructions    :='Drag mouse to right-bottom to zoom. To left-top to unzoom.';
  TeeMsg_ScrollInstructions  :='Drag mouse to scroll Chart contents.';
  TeeMsg_DrawLineInstructions:='Drag mouse to draw, select and move lines.';

  TeeMsg_SureToDeleteDataSet :='Are you sure to delete DataSet?';
  TeeMsg_Select              :='Select';
  TeeMsg_EMail               :='e-mail';
  TeeMsg_Open                :='Open';
  TeeMsg_New                 :='New';
  TeeMsg_ImportingWeb        :='Importing from Web: %s';
  TeeMsg_Annotation          :='Annotation';
  TeeMsg_Modified            :='Modified';

  TeeMsg_Next                :='&Next >';
  TeeMsg_OK                  :='OK';
  TeeMsg_Close               :='Close';
  TeeMsg_Go                  :='&Go !';
  TeeMsg_Upload              :='&Upload !';

  TeeMsg_CannotGetVersion    :='Cannot connect to obtain current version.'+#13+
                              'Error: %d %s';

  TeeMsg_CannotGetNewVersion :='Cannot download current version.'+#13+
                              'Error: %d %s';

  TeeMsg_WrongVersion        :='Wrong version number received.';
  TeeMsg_HasLatestVersion    :='You already have the latest version.';
  TeeMsg_ClickToUpdateVersion:='Click the Update button to receive the latest version.';
  TeeMsg_UpdateButton        :='&Update...';
  TeeMsg_WrongZip            :='Wrong version file received.';
  TeeMsg_VersionReceived     :='Latest version received. Click Ok to Install.';

  TeeMsg_SelectFolder        :='Select Folder';
  TeeMsg_EmailNotValid       :='Email address is not correct.';
  TeeMsg_NameNotValid        :='Your Name is empty. Please type your name.';
  TeeMsg_WrongPassword       :='Password is empty. Please type your password or '+#13+
                              'click the Obtain Password button to receive it by e-mail.';
  TeeMsg_WrongChartID        :='Chart name is empty. Please type a Chart name to '+
                              'identify it at the Web Gallery database.';

  TeeMsg_CannotObtainPassword:='Cannot connect to obtain your Password.';
  TeeMsg_PasswordSent        :='Your Password has been sent to your email address.';
  TeeMsg_Congrats            :='Congratulations.'+#13+'You have been included in TeeChart Office '+
                              'Web Charts Gallery user database.'+#13+
                              TeeMsg_PasswordSent;

  TeeMsg_UploadingWeb        :='Uploading %s to Web Gallery...';
  TeeMsg_Uploaded       :='%s has been uploaded to Web Gallery.';
  TeeMsg_SureToUploadChart   :='Are you sure to upload the current Chart to Web Gallery?';

  TeeMsg_TitleEditor         :='Title Editor';
  TeeMsg_BarWidth            :='Bar Width %';
  TeeMsg_EnterValue          :='Enter value';
  TeeMsg_PieRotation         :='Rotation';
  TeeMsg_PointWidth          :='Width';
  TeeMsg_PointHeight         :='Height';

  TeeMsg_Position            :='Position: %d,%d';
  TeeMsg_Size                :='Size: %d x %d';

  TeeMsg_BetaWarning         :='Note: '+
                              'This is Pre-Release Software.'+#13+#13+
                              'Some features might be incomplete or'+#13+
                              'removed in the final product version.'+#13+#13+
                              'Submit problems and suggestions at our web site:'+#13+#13+
                              'www.steema.com';

  TeeMsg_OpenWithTeeChartOffice :='Open with &TeeChart Office';

  TeeMsg_Caps               :='CAPS';
  TeeMsg_Num                :='NUM';
  TeeMsg_SCR                :='SCR';
  TeeMsg_Chart1             :='Chart1';
  TeeMsg_SaveAs             :='Save as...';
  TeeMsg_LeftWall           :='Left Wall';
  TeeMsg_BottomWall         :='Bottom Wall';
  TeeMsg_RightWall          :='Right Wall';
  TeeMsg_BackWall           :='Back Wall';
  TeeMsg_ShouldClose        :='Please close and restart TeeChartOffice.';

  { pending }
  TeeMsg_AxisDivider        :='Axis Divider';
  TeeMsg_PieTool            :='Pie Slices';
  TeeMsg_Table              :='Table';
  TeeMsg_Query              :='Query';
  TeeMsg_XMLFile            :='XML files';
  TeeMsg_ExcelFile          :='Excel files';
  TeeMsg_ExcelEmptyFile     :='Excel file name is empty.';
  TeeMsg_Expression         :='Expression';
end;

begin
  SetSwedishConstants;

  if TeeSwedishLanguage=nil then
  begin
    TeeCreateSwedish;
    with TeeSwedishLanguage do ;
  end;

  TeeSetSwedish;
end;

Procedure TeeChartOfficeChinese;

Procedure SetChineseConstants;
begin
  TeeMsg_ZoomInstructions    :='Drag mouse to right-bottom to zoom. To left-top to unzoom.';
  TeeMsg_ScrollInstructions  :='Drag mouse to scroll Chart contents.';
  TeeMsg_DrawLineInstructions:='Drag mouse to draw, select and move lines.';

  TeeMsg_SureToDeleteDataSet :='Are you sure to delete DataSet?';
  TeeMsg_Select              :='Select';
  TeeMsg_EMail               :='e-mail';
  TeeMsg_Open                :='Open';
  TeeMsg_New                 :='New';
  TeeMsg_ImportingWeb        :='Importing from Web: %s';
  TeeMsg_Annotation          :='Annotation';
  TeeMsg_Modified            :='Modified';

  TeeMsg_Next                :='&Next >';
  TeeMsg_OK                  :='OK';
  TeeMsg_Close               :='Close';
  TeeMsg_Go                  :='&Go !';
  TeeMsg_Upload              :='&Upload !';

  TeeMsg_CannotGetVersion    :='Cannot connect to obtain current version.'+#13+
                              'Error: %d %s';

  TeeMsg_CannotGetNewVersion :='Cannot download current version.'+#13+
                              'Error: %d %s';

  TeeMsg_WrongVersion        :='Wrong version number received.';
  TeeMsg_HasLatestVersion    :='You already have the latest version.';
  TeeMsg_ClickToUpdateVersion:='Click the Update button to receive the latest version.';
  TeeMsg_UpdateButton        :='&Update...';
  TeeMsg_WrongZip            :='Wrong version file received.';
  TeeMsg_VersionReceived     :='Latest version received. Click Ok to Install.';

  TeeMsg_SelectFolder        :='Select Folder';
  TeeMsg_EmailNotValid       :='Email address is not correct.';
  TeeMsg_NameNotValid        :='Your Name is empty. Please type your name.';
  TeeMsg_WrongPassword       :='Password is empty. Please type your password or '+#13+
                              'click the Obtain Password button to receive it by e-mail.';
  TeeMsg_WrongChartID        :='Chart name is empty. Please type a Chart name to '+
                              'identify it at the Web Gallery database.';

  TeeMsg_CannotObtainPassword:='Cannot connect to obtain your Password.';
  TeeMsg_PasswordSent        :='Your Password has been sent to your email address.';
  TeeMsg_Congrats            :='Congratulations.'+#13+'You have been included in TeeChart Office '+
                              'Web Charts Gallery user database.'+#13+
                              TeeMsg_PasswordSent;

  TeeMsg_UploadingWeb        :='Uploading %s to Web Gallery...';
  TeeMsg_Uploaded       :='%s has been uploaded to Web Gallery.';
  TeeMsg_SureToUploadChart   :='Are you sure to upload the current Chart to Web Gallery?';

  TeeMsg_TitleEditor         :='Title Editor';
  TeeMsg_BarWidth            :='Bar Width %';
  TeeMsg_EnterValue          :='Enter value';
  TeeMsg_PieRotation         :='Rotation';
  TeeMsg_PointWidth          :='Width';
  TeeMsg_PointHeight         :='Height';

  TeeMsg_Position            :='Position: %d,%d';
  TeeMsg_Size                :='Size: %d x %d';

  TeeMsg_BetaWarning         :='Note: '+
                              'This is Pre-Release Software.'+#13+#13+
                              'Some features might be incomplete or'+#13+
                              'removed in the final product version.'+#13+#13+
                              'Submit problems and suggestions at our web site:'+#13+#13+
                              'www.steema.com';

  TeeMsg_OpenWithTeeChartOffice :='Open with &TeeChart Office';

  TeeMsg_Caps               :='CAPS';
  TeeMsg_Num                :='NUM';
  TeeMsg_SCR                :='SCR';
  TeeMsg_Chart1             :='Chart1';
  TeeMsg_SaveAs             :='Save as...';
  TeeMsg_LeftWall           :='Left Wall';
  TeeMsg_BottomWall         :='Bottom Wall';
  TeeMsg_RightWall          :='Right Wall';
  TeeMsg_BackWall           :='Back Wall';
  TeeMsg_ShouldClose        :='Please close and restart TeeChartOffice.';

  { pending }
  TeeMsg_AxisDivider        :='Axis Divider';
  TeeMsg_PieTool            :='Pie Slices';
  TeeMsg_Table              :='Table';
  TeeMsg_Query              :='Query';
  TeeMsg_XMLFile            :='XML files';
  TeeMsg_ExcelFile          :='Excel files';
  TeeMsg_ExcelEmptyFile     :='Excel file name is empty.';
  TeeMsg_Expression         :='Expression';
end;

begin
  SetChineseConstants;

  if TeeChineseLanguage=nil then
  begin
    TeeCreateChinese;
    with TeeChineseLanguage do ;
  end;

  TeeSetChinese;
end;

Procedure TeeChartOfficeChineseSimp;

Procedure SetChineseSimpConstants;
begin
  TeeMsg_ZoomInstructions    :='Drag mouse to right-bottom to zoom. To left-top to unzoom.';
  TeeMsg_ScrollInstructions  :='Drag mouse to scroll Chart contents.';
  TeeMsg_DrawLineInstructions:='Drag mouse to draw, select and move lines.';

  TeeMsg_SureToDeleteDataSet :='Are you sure to delete DataSet?';
  TeeMsg_Select              :='Select';
  TeeMsg_EMail               :='e-mail';
  TeeMsg_Open                :='Open';
  TeeMsg_New                 :='New';
  TeeMsg_ImportingWeb        :='Importing from Web: %s';
  TeeMsg_Annotation          :='Annotation';
  TeeMsg_Modified            :='Modified';

  TeeMsg_Next                :='&Next >';
  TeeMsg_OK                  :='OK';
  TeeMsg_Close               :='Close';
  TeeMsg_Go                  :='&Go !';
  TeeMsg_Upload              :='&Upload !';

  TeeMsg_CannotGetVersion    :='Cannot connect to obtain current version.'+#13+
                              'Error: %d %s';

  TeeMsg_CannotGetNewVersion :='Cannot download current version.'+#13+
                              'Error: %d %s';

  TeeMsg_WrongVersion        :='Wrong version number received.';
  TeeMsg_HasLatestVersion    :='You already have the latest version.';
  TeeMsg_ClickToUpdateVersion:='Click the Update button to receive the latest version.';
  TeeMsg_UpdateButton        :='&Update...';
  TeeMsg_WrongZip            :='Wrong version file received.';
  TeeMsg_VersionReceived     :='Latest version received. Click Ok to Install.';

  TeeMsg_SelectFolder        :='Select Folder';
  TeeMsg_EmailNotValid       :='Email address is not correct.';
  TeeMsg_NameNotValid        :='Your Name is empty. Please type your name.';
  TeeMsg_WrongPassword       :='Password is empty. Please type your password or '+#13+
                              'click the Obtain Password button to receive it by e-mail.';
  TeeMsg_WrongChartID        :='Chart name is empty. Please type a Chart name to '+
                              'identify it at the Web Gallery database.';

  TeeMsg_CannotObtainPassword:='Cannot connect to obtain your Password.';
  TeeMsg_PasswordSent        :='Your Password has been sent to your email address.';
  TeeMsg_Congrats            :='Congratulations.'+#13+'You have been included in TeeChart Office '+
                              'Web Charts Gallery user database.'+#13+
                              TeeMsg_PasswordSent;

  TeeMsg_UploadingWeb        :='Uploading %s to Web Gallery...';
  TeeMsg_Uploaded       :='%s has been uploaded to Web Gallery.';
  TeeMsg_SureToUploadChart   :='Are you sure to upload the current Chart to Web Gallery?';

  TeeMsg_TitleEditor         :='Title Editor';
  TeeMsg_BarWidth            :='Bar Width %';
  TeeMsg_EnterValue          :='Enter value';
  TeeMsg_PieRotation         :='Rotation';
  TeeMsg_PointWidth          :='Width';
  TeeMsg_PointHeight         :='Height';

  TeeMsg_Position            :='Position: %d,%d';
  TeeMsg_Size                :='Size: %d x %d';

  TeeMsg_BetaWarning         :='Note: '+
                              'This is Pre-Release Software.'+#13+#13+
                              'Some features might be incomplete or'+#13+
                              'removed in the final product version.'+#13+#13+
                              'Submit problems and suggestions at our web site:'+#13+#13+
                              'www.steema.com';

  TeeMsg_OpenWithTeeChartOffice :='Open with &TeeChart Office';

  TeeMsg_Caps               :='CAPS';
  TeeMsg_Num                :='NUM';
  TeeMsg_SCR                :='SCR';
  TeeMsg_Chart1             :='Chart1';
  TeeMsg_SaveAs             :='Save as...';
  TeeMsg_LeftWall           :='Left Wall';
  TeeMsg_BottomWall         :='Bottom Wall';
  TeeMsg_RightWall          :='Right Wall';
  TeeMsg_BackWall           :='Back Wall';
  TeeMsg_ShouldClose        :='Please close and restart TeeChartOffice.';

  { pending }
  TeeMsg_AxisDivider        :='Axis Divider';
  TeeMsg_PieTool            :='Pie Slices';
  TeeMsg_Table              :='Table';
  TeeMsg_Query              :='Query';
  TeeMsg_XMLFile            :='XML files';
  TeeMsg_ExcelFile          :='Excel files';
  TeeMsg_ExcelEmptyFile     :='Excel file name is empty.';
  TeeMsg_Expression         :='Expression';
end;

begin
  SetChineseSimpConstants;

  if TeeChineseSimpLanguage=nil then
  begin
    TeeCreateChineseSimp;
    with TeeChineseSimpLanguage do ;
  end;

  TeeSetChineseSimp;
end;

Procedure TeeChartOfficePortuguese;

Procedure SetPortugueseConstants;
begin
  TeeMsg_ZoomInstructions    :='Drag mouse to right-bottom to zoom. To left-top to unzoom.';
  TeeMsg_ScrollInstructions  :='Drag mouse to scroll Chart contents.';
  TeeMsg_DrawLineInstructions:='Drag mouse to draw, select and move lines.';

  TeeMsg_SureToDeleteDataSet :='Are you sure to delete DataSet?';
  TeeMsg_Select              :='Select';
  TeeMsg_EMail               :='e-mail';
  TeeMsg_Open                :='Open';
  TeeMsg_New                 :='New';
  TeeMsg_ImportingWeb        :='Importing from Web: %s';
  TeeMsg_Annotation          :='Annotation';
  TeeMsg_Modified            :='Modified';

  TeeMsg_Next                :='&Next >';
  TeeMsg_OK                  :='OK';
  TeeMsg_Close               :='Close';
  TeeMsg_Go                  :='&Go !';
  TeeMsg_Upload              :='&Upload !';

  TeeMsg_CannotGetVersion    :='Cannot connect to obtain current version.'+#13+
                              'Error: %d %s';

  TeeMsg_CannotGetNewVersion :='Cannot download current version.'+#13+
                              'Error: %d %s';

  TeeMsg_WrongVersion        :='Wrong version number received.';
  TeeMsg_HasLatestVersion    :='You already have the latest version.';
  TeeMsg_ClickToUpdateVersion:='Click the Update button to receive the latest version.';
  TeeMsg_UpdateButton        :='&Update...';
  TeeMsg_WrongZip            :='Wrong version file received.';
  TeeMsg_VersionReceived     :='Latest version received. Click Ok to Install.';

  TeeMsg_SelectFolder        :='Select Folder';
  TeeMsg_EmailNotValid       :='Email address is not correct.';
  TeeMsg_NameNotValid        :='Your Name is empty. Please type your name.';
  TeeMsg_WrongPassword       :='Password is empty. Please type your password or '+#13+
                              'click the Obtain Password button to receive it by e-mail.';
  TeeMsg_WrongChartID        :='Chart name is empty. Please type a Chart name to '+
                              'identify it at the Web Gallery database.';

  TeeMsg_CannotObtainPassword:='Cannot connect to obtain your Password.';
  TeeMsg_PasswordSent        :='Your Password has been sent to your email address.';
  TeeMsg_Congrats            :='Congratulations.'+#13+'You have been included in TeeChart Office '+
                              'Web Charts Gallery user database.'+#13+
                              TeeMsg_PasswordSent;

  TeeMsg_UploadingWeb        :='Uploading %s to Web Gallery...';
  TeeMsg_Uploaded       :='%s has been uploaded to Web Gallery.';
  TeeMsg_SureToUploadChart   :='Are you sure to upload the current Chart to Web Gallery?';

  TeeMsg_TitleEditor         :='Title Editor';
  TeeMsg_BarWidth            :='Bar Width %';
  TeeMsg_EnterValue          :='Enter value';
  TeeMsg_PieRotation         :='Rotation';
  TeeMsg_PointWidth          :='Width';
  TeeMsg_PointHeight         :='Height';

  TeeMsg_Position            :='Position: %d,%d';
  TeeMsg_Size                :='Size: %d x %d';

  TeeMsg_BetaWarning         :='Note: '+
                              'This is Pre-Release Software.'+#13+#13+
                              'Some features might be incomplete or'+#13+
                              'removed in the final product version.'+#13+#13+
                              'Submit problems and suggestions at our web site:'+#13+#13+
                              'www.steema.com';

  TeeMsg_OpenWithTeeChartOffice :='Open with &TeeChart Office';

  TeeMsg_Caps               :='CAPS';
  TeeMsg_Num                :='NUM';
  TeeMsg_SCR                :='SCR';
  TeeMsg_Chart1             :='Chart1';
  TeeMsg_SaveAs             :='Save as...';
  TeeMsg_LeftWall           :='Left Wall';
  TeeMsg_BottomWall         :='Bottom Wall';
  TeeMsg_RightWall          :='Right Wall';
  TeeMsg_BackWall           :='Back Wall';
  TeeMsg_ShouldClose        :='Please close and restart TeeChartOffice.';

  { pending }
  TeeMsg_AxisDivider        :='Axis Divider';
  TeeMsg_PieTool            :='Pie Slices';
  TeeMsg_Table              :='Table';
  TeeMsg_Query              :='Query';
  TeeMsg_XMLFile            :='XML files';
  TeeMsg_ExcelFile          :='Excel files';
  TeeMsg_ExcelEmptyFile     :='Excel file name is empty.';
  TeeMsg_Expression         :='Expression';
end;

begin
  SetPortugueseConstants;

  if TeePortugueseLanguage=nil then
  begin
    TeeCreatePortuguese;
    with TeePortugueseLanguage do ;
  end;

  TeeSetPortuguese;
end;

Procedure TeeChartOfficeRussian;

Procedure SetRussianConstants;
begin
  TeeMsg_ZoomInstructions    :='Drag mouse to right-bottom to zoom. To left-top to unzoom.';
  TeeMsg_ScrollInstructions  :='Drag mouse to scroll Chart contents.';
  TeeMsg_DrawLineInstructions:='Drag mouse to draw, select and move lines.';

  TeeMsg_SureToDeleteDataSet :='Are you sure to delete DataSet?';
  TeeMsg_Select              :='Select';
  TeeMsg_EMail               :='e-mail';
  TeeMsg_Open                :='Open';
  TeeMsg_New                 :='New';
  TeeMsg_ImportingWeb        :='Importing from Web: %s';
  TeeMsg_Annotation          :='Annotation';
  TeeMsg_Modified            :='Modified';

  TeeMsg_Next                :='&Next >';
  TeeMsg_OK                  :='OK';
  TeeMsg_Close               :='Close';
  TeeMsg_Go                  :='&Go !';
  TeeMsg_Upload              :='&Upload !';

  TeeMsg_CannotGetVersion    :='Cannot connect to obtain current version.'+#13+
                              'Error: %d %s';

  TeeMsg_CannotGetNewVersion :='Cannot download current version.'+#13+
                              'Error: %d %s';

  TeeMsg_WrongVersion        :='Wrong version number received.';
  TeeMsg_HasLatestVersion    :='You already have the latest version.';
  TeeMsg_ClickToUpdateVersion:='Click the Update button to receive the latest version.';
  TeeMsg_UpdateButton        :='&Update...';
  TeeMsg_WrongZip            :='Wrong version file received.';
  TeeMsg_VersionReceived     :='Latest version received. Click Ok to Install.';

  TeeMsg_SelectFolder        :='Select Folder';
  TeeMsg_EmailNotValid       :='Email address is not correct.';
  TeeMsg_NameNotValid        :='Your Name is empty. Please type your name.';
  TeeMsg_WrongPassword       :='Password is empty. Please type your password or '+#13+
                              'click the Obtain Password button to receive it by e-mail.';
  TeeMsg_WrongChartID        :='Chart name is empty. Please type a Chart name to '+
                              'identify it at the Web Gallery database.';

  TeeMsg_CannotObtainPassword:='Cannot connect to obtain your Password.';
  TeeMsg_PasswordSent        :='Your Password has been sent to your email address.';
  TeeMsg_Congrats            :='Congratulations.'+#13+'You have been included in TeeChart Office '+
                              'Web Charts Gallery user database.'+#13+
                              TeeMsg_PasswordSent;

  TeeMsg_UploadingWeb        :='Uploading %s to Web Gallery...';
  TeeMsg_Uploaded       :='%s has been uploaded to Web Gallery.';
  TeeMsg_SureToUploadChart   :='Are you sure to upload the current Chart to Web Gallery?';

  TeeMsg_TitleEditor         :='Title Editor';
  TeeMsg_BarWidth            :='Bar Width %';
  TeeMsg_EnterValue          :='Enter value';
  TeeMsg_PieRotation         :='Rotation';
  TeeMsg_PointWidth          :='Width';
  TeeMsg_PointHeight         :='Height';

  TeeMsg_Position            :='Position: %d,%d';
  TeeMsg_Size                :='Size: %d x %d';

  TeeMsg_BetaWarning         :='Note: '+
                              'This is Pre-Release Software.'+#13+#13+
                              'Some features might be incomplete or'+#13+
                              'removed in the final product version.'+#13+#13+
                              'Submit problems and suggestions at our web site:'+#13+#13+
                              'www.steema.com';

  TeeMsg_OpenWithTeeChartOffice :='Open with &TeeChart Office';

  TeeMsg_Caps               :='CAPS';
  TeeMsg_Num                :='NUM';
  TeeMsg_SCR                :='SCR';
  TeeMsg_Chart1             :='Chart1';
  TeeMsg_SaveAs             :='Save as...';
  TeeMsg_LeftWall           :='Left Wall';
  TeeMsg_BottomWall         :='Bottom Wall';
  TeeMsg_RightWall          :='Right Wall';
  TeeMsg_BackWall           :='Back Wall';
  TeeMsg_ShouldClose        :='Please close and restart TeeChartOffice.';

  { pending }
  TeeMsg_AxisDivider        :='Axis Divider';
  TeeMsg_PieTool            :='Pie Slices';
  TeeMsg_Table              :='Table';
  TeeMsg_Query              :='Query';
  TeeMsg_XMLFile            :='XML files';
  TeeMsg_ExcelFile          :='Excel files';
  TeeMsg_ExcelEmptyFile     :='Excel file name is empty.';
  TeeMsg_Expression         :='Expression';
end;

begin
  SetRussianConstants;

  if TeeRussianLanguage=nil then
  begin
    TeeCreateRussian;
    with TeeRussianLanguage do ;
  end;
  TeeSetRussian;
end;

Procedure TeeChartOfficeItalian;

Procedure SetItalianConstants;
begin
  TeeMsg_ZoomInstructions    :='Drag mouse to right-bottom to zoom. To left-top to unzoom.';
  TeeMsg_ScrollInstructions  :='Drag mouse to scroll Chart contents.';
  TeeMsg_DrawLineInstructions:='Drag mouse to draw, select and move lines.';

  TeeMsg_SureToDeleteDataSet :='Are you sure to delete DataSet?';
  TeeMsg_Select              :='Select';
  TeeMsg_EMail               :='e-mail';
  TeeMsg_Open                :='Open';
  TeeMsg_New                 :='New';
  TeeMsg_ImportingWeb        :='Importing from Web: %s';
  TeeMsg_Annotation          :='Annotation';
  TeeMsg_Modified            :='Modified';

  TeeMsg_Next                :='&Next >';
  TeeMsg_OK                  :='OK';
  TeeMsg_Close               :='Close';
  TeeMsg_Go                  :='&Go !';
  TeeMsg_Upload              :='&Upload !';

  TeeMsg_CannotGetVersion    :='Cannot connect to obtain current version.'+#13+
                              'Error: %d %s';

  TeeMsg_CannotGetNewVersion :='Cannot download current version.'+#13+
                              'Error: %d %s';

  TeeMsg_WrongVersion        :='Wrong version number received.';
  TeeMsg_HasLatestVersion    :='You already have the latest version.';
  TeeMsg_ClickToUpdateVersion:='Click the Update button to receive the latest version.';
  TeeMsg_UpdateButton        :='&Update...';
  TeeMsg_WrongZip            :='Wrong version file received.';
  TeeMsg_VersionReceived     :='Latest version received. Click Ok to Install.';

  TeeMsg_SelectFolder        :='Select Folder';
  TeeMsg_EmailNotValid       :='Email address is not correct.';
  TeeMsg_NameNotValid        :='Your Name is empty. Please type your name.';
  TeeMsg_WrongPassword       :='Password is empty. Please type your password or '+#13+
                              'click the Obtain Password button to receive it by e-mail.';
  TeeMsg_WrongChartID        :='Chart name is empty. Please type a Chart name to '+
                              'identify it at the Web Gallery database.';

  TeeMsg_CannotObtainPassword:='Cannot connect to obtain your Password.';
  TeeMsg_PasswordSent        :='Your Password has been sent to your email address.';
  TeeMsg_Congrats            :='Congratulations.'+#13+'You have been included in TeeChart Office '+
                              'Web Charts Gallery user database.'+#13+
                              TeeMsg_PasswordSent;

  TeeMsg_UploadingWeb        :='Uploading %s to Web Gallery...';
  TeeMsg_Uploaded       :='%s has been uploaded to Web Gallery.';
  TeeMsg_SureToUploadChart   :='Are you sure to upload the current Chart to Web Gallery?';

  TeeMsg_TitleEditor         :='Title Editor';
  TeeMsg_BarWidth            :='Bar Width %';
  TeeMsg_EnterValue          :='Enter value';
  TeeMsg_PieRotation         :='Rotation';
  TeeMsg_PointWidth          :='Width';
  TeeMsg_PointHeight         :='Height';

  TeeMsg_Position            :='Position: %d,%d';
  TeeMsg_Size                :='Size: %d x %d';

  TeeMsg_BetaWarning         :='Note: '+
                              'This is Pre-Release Software.'+#13+#13+
                              'Some features might be incomplete or'+#13+
                              'removed in the final product version.'+#13+#13+
                              'Submit problems and suggestions at our web site:'+#13+#13+
                              'www.steema.com';

  TeeMsg_OpenWithTeeChartOffice :='Open with &TeeChart Office';

  TeeMsg_Caps               :='CAPS';
  TeeMsg_Num                :='NUM';
  TeeMsg_SCR                :='SCR';
  TeeMsg_Chart1             :='Chart1';
  TeeMsg_SaveAs             :='Save as...';
  TeeMsg_LeftWall           :='Left Wall';
  TeeMsg_BottomWall         :='Bottom Wall';
  TeeMsg_RightWall          :='Right Wall';
  TeeMsg_BackWall           :='Back Wall';
  TeeMsg_ShouldClose        :='Please close and restart TeeChartOffice.';

  { pending }
  TeeMsg_AxisDivider        :='Axis Divider';
  TeeMsg_PieTool            :='Pie Slices';
  TeeMsg_Table              :='Table';
  TeeMsg_Query              :='Query';
  TeeMsg_XMLFile            :='XML files';
  TeeMsg_ExcelFile          :='Excel files';
  TeeMsg_ExcelEmptyFile     :='Excel file name is empty.';
  TeeMsg_Expression         :='Expression';
end;

begin
  SetItalianConstants;

  if TeeItalianLanguage=nil then
  begin
    TeeCreateItalian;
    with TeeItalianLanguage do ;
  end;

  TeeSetItalian;
end;

Procedure TeeChartOfficeNorwegian;

Procedure SetNorwegianConstants;
begin
  TeeMsg_ZoomInstructions    :='Drag mouse to right-bottom to zoom. To left-top to unzoom.';
  TeeMsg_ScrollInstructions  :='Drag mouse to scroll Chart contents.';
  TeeMsg_DrawLineInstructions:='Drag mouse to draw, select and move lines.';

  TeeMsg_SureToDeleteDataSet :='Are you sure to delete DataSet?';
  TeeMsg_Select              :='Select';
  TeeMsg_EMail               :='e-mail';
  TeeMsg_Open                :='Open';
  TeeMsg_New                 :='New';
  TeeMsg_ImportingWeb        :='Importing from Web: %s';
  TeeMsg_Annotation          :='Annotation';
  TeeMsg_Modified            :='Modified';

  TeeMsg_Next                :='&Next >';
  TeeMsg_OK                  :='OK';
  TeeMsg_Close               :='Close';
  TeeMsg_Go                  :='&Go !';
  TeeMsg_Upload              :='&Upload !';

  TeeMsg_CannotGetVersion    :='Cannot connect to obtain current version.'+#13+
                              'Error: %d %s';

  TeeMsg_CannotGetNewVersion :='Cannot download current version.'+#13+
                              'Error: %d %s';

  TeeMsg_WrongVersion        :='Wrong version number received.';
  TeeMsg_HasLatestVersion    :='You already have the latest version.';
  TeeMsg_ClickToUpdateVersion:='Click the Update button to receive the latest version.';
  TeeMsg_UpdateButton        :='&Update...';
  TeeMsg_WrongZip            :='Wrong version file received.';
  TeeMsg_VersionReceived     :='Latest version received. Click Ok to Install.';

  TeeMsg_SelectFolder        :='Select Folder';
  TeeMsg_EmailNotValid       :='Email address is not correct.';
  TeeMsg_NameNotValid        :='Your Name is empty. Please type your name.';
  TeeMsg_WrongPassword       :='Password is empty. Please type your password or '+#13+
                              'click the Obtain Password button to receive it by e-mail.';
  TeeMsg_WrongChartID        :='Chart name is empty. Please type a Chart name to '+
                              'identify it at the Web Gallery database.';

  TeeMsg_CannotObtainPassword:='Cannot connect to obtain your Password.';
  TeeMsg_PasswordSent        :='Your Password has been sent to your email address.';
  TeeMsg_Congrats            :='Congratulations.'+#13+'You have been included in TeeChart Office '+
                              'Web Charts Gallery user database.'+#13+
                              TeeMsg_PasswordSent;

  TeeMsg_UploadingWeb        :='Uploading %s to Web Gallery...';
  TeeMsg_Uploaded       :='%s has been uploaded to Web Gallery.';
  TeeMsg_SureToUploadChart   :='Are you sure to upload the current Chart to Web Gallery?';

  TeeMsg_TitleEditor         :='Title Editor';
  TeeMsg_BarWidth            :='Bar Width %';
  TeeMsg_EnterValue          :='Enter value';
  TeeMsg_PieRotation         :='Rotation';
  TeeMsg_PointWidth          :='Width';
  TeeMsg_PointHeight         :='Height';

  TeeMsg_Position            :='Position: %d,%d';
  TeeMsg_Size                :='Size: %d x %d';

  TeeMsg_BetaWarning         :='Note: '+
                              'This is Pre-Release Software.'+#13+#13+
                              'Some features might be incomplete or'+#13+
                              'removed in the final product version.'+#13+#13+
                              'Submit problems and suggestions at our web site:'+#13+#13+
                              'www.steema.com';

  TeeMsg_OpenWithTeeChartOffice :='Open with &TeeChart Office';

  TeeMsg_Caps               :='CAPS';
  TeeMsg_Num                :='NUM';
  TeeMsg_SCR                :='SCR';
  TeeMsg_Chart1             :='Chart1';
  TeeMsg_SaveAs             :='Save as...';
  TeeMsg_LeftWall           :='Left Wall';
  TeeMsg_BottomWall         :='Bottom Wall';
  TeeMsg_RightWall          :='Right Wall';
  TeeMsg_BackWall           :='Back Wall';
  TeeMsg_ShouldClose        :='Please close and restart TeeChartOffice.';

  { pending }
  TeeMsg_AxisDivider        :='Axis Divider';
  TeeMsg_PieTool            :='Pie Slices';
  TeeMsg_Table              :='Table';
  TeeMsg_Query              :='Query';
  TeeMsg_XMLFile            :='XML files';
  TeeMsg_ExcelFile          :='Excel files';
  TeeMsg_ExcelEmptyFile     :='Excel file name is empty.';
  TeeMsg_Expression         :='Expression';
end;

begin
  SetNorwegianConstants;

  if TeeNorwegianLanguage=nil then
  begin
    TeeCreateNorwegian;
    with TeeNorwegianLanguage do ;
  end;

  TeeSetNorwegian;
end;

Procedure TeeChartOfficeJapanese;

Procedure SetJapaneseConstants;
begin
  TeeMsg_ZoomInstructions    :='Drag mouse to right-bottom to zoom. To left-top to unzoom.';
  TeeMsg_ScrollInstructions  :='Drag mouse to scroll Chart contents.';
  TeeMsg_DrawLineInstructions:='Drag mouse to draw, select and move lines.';

  TeeMsg_SureToDeleteDataSet :='Are you sure to delete DataSet?';
  TeeMsg_Select              :='Select';
  TeeMsg_EMail               :='e-mail';
  TeeMsg_Open                :='Open';
  TeeMsg_New                 :='New';
  TeeMsg_ImportingWeb        :='Importing from Web: %s';
  TeeMsg_Annotation          :='Annotation';
  TeeMsg_Modified            :='Modified';

  TeeMsg_Next                :='&Next >';
  TeeMsg_OK                  :='OK';
  TeeMsg_Close               :='Close';
  TeeMsg_Go                  :='&Go !';
  TeeMsg_Upload              :='&Upload !';

  TeeMsg_CannotGetVersion    :='Cannot connect to obtain current version.'+#13+
                              'Error: %d %s';

  TeeMsg_CannotGetNewVersion :='Cannot download current version.'+#13+
                              'Error: %d %s';

  TeeMsg_WrongVersion        :='Wrong version number received.';
  TeeMsg_HasLatestVersion    :='You already have the latest version.';
  TeeMsg_ClickToUpdateVersion:='Click the Update button to receive the latest version.';
  TeeMsg_UpdateButton        :='&Update...';
  TeeMsg_WrongZip            :='Wrong version file received.';
  TeeMsg_VersionReceived     :='Latest version received. Click Ok to Install.';

  TeeMsg_SelectFolder        :='Select Folder';
  TeeMsg_EmailNotValid       :='Email address is not correct.';
  TeeMsg_NameNotValid        :='Your Name is empty. Please type your name.';
  TeeMsg_WrongPassword       :='Password is empty. Please type your password or '+#13+
                              'click the Obtain Password button to receive it by e-mail.';
  TeeMsg_WrongChartID        :='Chart name is empty. Please type a Chart name to '+
                              'identify it at the Web Gallery database.';

  TeeMsg_CannotObtainPassword:='Cannot connect to obtain your Password.';
  TeeMsg_PasswordSent        :='Your Password has been sent to your email address.';
  TeeMsg_Congrats            :='Congratulations.'+#13+'You have been included in TeeChart Office '+
                              'Web Charts Gallery user database.'+#13+
                              TeeMsg_PasswordSent;

  TeeMsg_UploadingWeb        :='Uploading %s to Web Gallery...';
  TeeMsg_Uploaded       :='%s has been uploaded to Web Gallery.';
  TeeMsg_SureToUploadChart   :='Are you sure to upload the current Chart to Web Gallery?';

  TeeMsg_TitleEditor         :='Title Editor';
  TeeMsg_BarWidth            :='Bar Width %';
  TeeMsg_EnterValue          :='Enter value';
  TeeMsg_PieRotation         :='Rotation';
  TeeMsg_PointWidth          :='Width';
  TeeMsg_PointHeight         :='Height';

  TeeMsg_Position            :='Position: %d,%d';
  TeeMsg_Size                :='Size: %d x %d';

  TeeMsg_BetaWarning         :='Note: '+
                              'This is Pre-Release Software.'+#13+#13+
                              'Some features might be incomplete or'+#13+
                              'removed in the final product version.'+#13+#13+
                              'Submit problems and suggestions at our web site:'+#13+#13+
                              'www.steema.com';

  TeeMsg_OpenWithTeeChartOffice :='Open with &TeeChart Office';

  TeeMsg_Caps               :='CAPS';
  TeeMsg_Num                :='NUM';
  TeeMsg_SCR                :='SCR';
  TeeMsg_Chart1             :='Chart1';
  TeeMsg_SaveAs             :='Save as...';
  TeeMsg_LeftWall           :='Left Wall';
  TeeMsg_BottomWall         :='Bottom Wall';
  TeeMsg_RightWall          :='Right Wall';
  TeeMsg_BackWall           :='Back Wall';
  TeeMsg_ShouldClose        :='Please close and restart TeeChartOffice.';

  { pending }
  TeeMsg_AxisDivider        :='Axis Divider';
  TeeMsg_PieTool            :='Pie Slices';
  TeeMsg_Table              :='Table';
  TeeMsg_Query              :='Query';
  TeeMsg_XMLFile            :='XML files';
  TeeMsg_ExcelFile          :='Excel files';
  TeeMsg_ExcelEmptyFile     :='Excel file name is empty.';
  TeeMsg_Expression         :='Expression';
end;

begin
  SetJapaneseConstants;

  if TeeJapaneseLanguage=nil then
  begin
    TeeCreateJapanese;
    with TeeJapaneseLanguage do ;
  end;

  TeeSetJapanese;
end;

Procedure TeeChartOfficePolish;

Procedure SetPolishConstants;
begin
  TeeMsg_ZoomInstructions    :='Drag mouse to right-bottom to zoom. To left-top to unzoom.';
  TeeMsg_ScrollInstructions  :='Drag mouse to scroll Chart contents.';
  TeeMsg_DrawLineInstructions:='Drag mouse to draw, select and move lines.';

  TeeMsg_SureToDeleteDataSet :='Are you sure to delete DataSet?';
  TeeMsg_Select              :='Select';
  TeeMsg_EMail               :='e-mail';
  TeeMsg_Open                :='Open';
  TeeMsg_New                 :='New';
  TeeMsg_ImportingWeb        :='Importing from Web: %s';
  TeeMsg_Annotation          :='Annotation';
  TeeMsg_Modified            :='Modified';

  TeeMsg_Next                :='&Next >';
  TeeMsg_OK                  :='OK';
  TeeMsg_Close               :='Close';
  TeeMsg_Go                  :='&Go !';
  TeeMsg_Upload              :='&Upload !';

  TeeMsg_CannotGetVersion    :='Cannot connect to obtain current version.'+#13+
                              'Error: %d %s';

  TeeMsg_CannotGetNewVersion :='Cannot download current version.'+#13+
                              'Error: %d %s';

  TeeMsg_WrongVersion        :='Wrong version number received.';
  TeeMsg_HasLatestVersion    :='You already have the latest version.';
  TeeMsg_ClickToUpdateVersion:='Click the Update button to receive the latest version.';
  TeeMsg_UpdateButton        :='&Update...';
  TeeMsg_WrongZip            :='Wrong version file received.';
  TeeMsg_VersionReceived     :='Latest version received. Click Ok to Install.';

  TeeMsg_SelectFolder        :='Select Folder';
  TeeMsg_EmailNotValid       :='Email address is not correct.';
  TeeMsg_NameNotValid        :='Your Name is empty. Please type your name.';
  TeeMsg_WrongPassword       :='Password is empty. Please type your password or '+#13+
                              'click the Obtain Password button to receive it by e-mail.';
  TeeMsg_WrongChartID        :='Chart name is empty. Please type a Chart name to '+
                              'identify it at the Web Gallery database.';

  TeeMsg_CannotObtainPassword:='Cannot connect to obtain your Password.';
  TeeMsg_PasswordSent        :='Your Password has been sent to your email address.';
  TeeMsg_Congrats            :='Congratulations.'+#13+'You have been included in TeeChart Office '+
                              'Web Charts Gallery user database.'+#13+
                              TeeMsg_PasswordSent;

  TeeMsg_UploadingWeb        :='Uploading %s to Web Gallery...';
  TeeMsg_Uploaded       :='%s has been uploaded to Web Gallery.';
  TeeMsg_SureToUploadChart   :='Are you sure to upload the current Chart to Web Gallery?';

  TeeMsg_TitleEditor         :='Title Editor';
  TeeMsg_BarWidth            :='Bar Width %';
  TeeMsg_EnterValue          :='Enter value';
  TeeMsg_PieRotation         :='Rotation';
  TeeMsg_PointWidth          :='Width';
  TeeMsg_PointHeight         :='Height';

  TeeMsg_Position            :='Position: %d,%d';
  TeeMsg_Size                :='Size: %d x %d';

  TeeMsg_BetaWarning         :='Note: '+
                              'This is Pre-Release Software.'+#13+#13+
                              'Some features might be incomplete or'+#13+
                              'removed in the final product version.'+#13+#13+
                              'Submit problems and suggestions at our web site:'+#13+#13+
                              'www.steema.com';

  TeeMsg_OpenWithTeeChartOffice :='Open with &TeeChart Office';

  TeeMsg_Caps               :='CAPS';
  TeeMsg_Num                :='NUM';
  TeeMsg_SCR                :='SCR';
  TeeMsg_Chart1             :='Chart1';
  TeeMsg_SaveAs             :='Save as...';
  TeeMsg_LeftWall           :='Left Wall';
  TeeMsg_BottomWall         :='Bottom Wall';
  TeeMsg_RightWall          :='Right Wall';
  TeeMsg_BackWall           :='Back Wall';
  TeeMsg_ShouldClose        :='Please close and restart TeeChartOffice.';

  { pending }
  TeeMsg_AxisDivider        :='Axis Divider';
  TeeMsg_PieTool            :='Pie Slices';
  TeeMsg_Table              :='Table';
  TeeMsg_Query              :='Query';
  TeeMsg_XMLFile            :='XML files';
  TeeMsg_ExcelFile          :='Excel files';
  TeeMsg_ExcelEmptyFile     :='Excel file name is empty.';
  TeeMsg_Expression         :='Expression';
end;

begin
  SetPolishConstants;

  if TeePolishLanguage=nil then
  begin
    TeeCreatePolish;
    with TeePolishLanguage do ;
  end;

  TeeSetPolish;
end;

Procedure TeeChartOfficeSlovene;

Procedure SetSloveneConstants;
begin
  TeeMsg_ZoomInstructions    :='Drag mouse to right-bottom to zoom. To left-top to unzoom.';
  TeeMsg_ScrollInstructions  :='Drag mouse to scroll Chart contents.';
  TeeMsg_DrawLineInstructions:='Drag mouse to draw, select and move lines.';

  TeeMsg_SureToDeleteDataSet :='Are you sure to delete DataSet?';
  TeeMsg_Select              :='Select';
  TeeMsg_EMail               :='e-mail';
  TeeMsg_Open                :='Open';
  TeeMsg_New                 :='New';
  TeeMsg_ImportingWeb        :='Importing from Web: %s';
  TeeMsg_Annotation          :='Annotation';
  TeeMsg_Modified            :='Modified';

  TeeMsg_Next                :='&Next >';
  TeeMsg_OK                  :='OK';
  TeeMsg_Close               :='Close';
  TeeMsg_Go                  :='&Go !';
  TeeMsg_Upload              :='&Upload !';

  TeeMsg_CannotGetVersion    :='Cannot connect to obtain current version.'+#13+
                              'Error: %d %s';

  TeeMsg_CannotGetNewVersion :='Cannot download current version.'+#13+
                              'Error: %d %s';

  TeeMsg_WrongVersion        :='Wrong version number received.';
  TeeMsg_HasLatestVersion    :='You already have the latest version.';
  TeeMsg_ClickToUpdateVersion:='Click the Update button to receive the latest version.';
  TeeMsg_UpdateButton        :='&Update...';
  TeeMsg_WrongZip            :='Wrong version file received.';
  TeeMsg_VersionReceived     :='Latest version received. Click Ok to Install.';

  TeeMsg_SelectFolder        :='Select Folder';
  TeeMsg_EmailNotValid       :='Email address is not correct.';
  TeeMsg_NameNotValid        :='Your Name is empty. Please type your name.';
  TeeMsg_WrongPassword       :='Password is empty. Please type your password or '+#13+
                              'click the Obtain Password button to receive it by e-mail.';
  TeeMsg_WrongChartID        :='Chart name is empty. Please type a Chart name to '+
                              'identify it at the Web Gallery database.';

  TeeMsg_CannotObtainPassword:='Cannot connect to obtain your Password.';
  TeeMsg_PasswordSent        :='Your Password has been sent to your email address.';
  TeeMsg_Congrats            :='Congratulations.'+#13+'You have been included in TeeChart Office '+
                              'Web Charts Gallery user database.'+#13+
                              TeeMsg_PasswordSent;

  TeeMsg_UploadingWeb        :='Uploading %s to Web Gallery...';
  TeeMsg_Uploaded       :='%s has been uploaded to Web Gallery.';
  TeeMsg_SureToUploadChart   :='Are you sure to upload the current Chart to Web Gallery?';

  TeeMsg_TitleEditor         :='Title Editor';
  TeeMsg_BarWidth            :='Bar Width %';
  TeeMsg_EnterValue          :='Enter value';
  TeeMsg_PieRotation         :='Rotation';
  TeeMsg_PointWidth          :='Width';
  TeeMsg_PointHeight         :='Height';

  TeeMsg_Position            :='Position: %d,%d';
  TeeMsg_Size                :='Size: %d x %d';

  TeeMsg_BetaWarning         :='Note: '+
                              'This is Pre-Release Software.'+#13+#13+
                              'Some features might be incomplete or'+#13+
                              'removed in the final product version.'+#13+#13+
                              'Submit problems and suggestions at our web site:'+#13+#13+
                              'www.steema.com';

  TeeMsg_OpenWithTeeChartOffice :='Open with &TeeChart Office';

  TeeMsg_Caps               :='CAPS';
  TeeMsg_Num                :='NUM';
  TeeMsg_SCR                :='SCR';
  TeeMsg_Chart1             :='Chart1';
  TeeMsg_SaveAs             :='Save as...';
  TeeMsg_LeftWall           :='Left Wall';
  TeeMsg_BottomWall         :='Bottom Wall';
  TeeMsg_RightWall          :='Right Wall';
  TeeMsg_BackWall           :='Back Wall';
  TeeMsg_ShouldClose        :='Please close and restart TeeChartOffice.';

  { pending }
  TeeMsg_AxisDivider        :='Axis Divider';
  TeeMsg_PieTool            :='Pie Slices';
  TeeMsg_Table              :='Table';
  TeeMsg_Query              :='Query';
  TeeMsg_XMLFile            :='XML files';
  TeeMsg_ExcelFile          :='Excel files';
  TeeMsg_ExcelEmptyFile     :='Excel file name is empty.';
  TeeMsg_Expression         :='Expression';
end;

begin
  SetSloveneConstants;

  if TeeSloveneLanguage=nil then
  begin
    TeeCreateSlovene;
    with TeeSloveneLanguage do ;
  end;

  TeeSetSlovene;
end;

Procedure TeeChartOfficeTurkish;

Procedure SetTurkishConstants;
begin
  TeeMsg_ZoomInstructions    :='Drag mouse to right-bottom to zoom. To left-top to unzoom.';
  TeeMsg_ScrollInstructions  :='Drag mouse to scroll Chart contents.';
  TeeMsg_DrawLineInstructions:='Drag mouse to draw, select and move lines.';

  TeeMsg_SureToDeleteDataSet :='Are you sure to delete DataSet?';
  TeeMsg_Select              :='Select';
  TeeMsg_EMail               :='e-mail';
  TeeMsg_Open                :='Open';
  TeeMsg_New                 :='New';
  TeeMsg_ImportingWeb        :='Importing from Web: %s';
  TeeMsg_Annotation          :='Annotation';
  TeeMsg_Modified            :='Modified';

  TeeMsg_Next                :='&Next >';
  TeeMsg_OK                  :='OK';
  TeeMsg_Close               :='Close';
  TeeMsg_Go                  :='&Go !';
  TeeMsg_Upload              :='&Upload !';

  TeeMsg_CannotGetVersion    :='Cannot connect to obtain current version.'+#13+
                              'Error: %d %s';

  TeeMsg_CannotGetNewVersion :='Cannot download current version.'+#13+
                              'Error: %d %s';

  TeeMsg_WrongVersion        :='Wrong version number received.';
  TeeMsg_HasLatestVersion    :='You already have the latest version.';
  TeeMsg_ClickToUpdateVersion:='Click the Update button to receive the latest version.';
  TeeMsg_UpdateButton        :='&Update...';
  TeeMsg_WrongZip            :='Wrong version file received.';
  TeeMsg_VersionReceived     :='Latest version received. Click Ok to Install.';

  TeeMsg_SelectFolder        :='Select Folder';
  TeeMsg_EmailNotValid       :='Email address is not correct.';
  TeeMsg_NameNotValid        :='Your Name is empty. Please type your name.';
  TeeMsg_WrongPassword       :='Password is empty. Please type your password or '+#13+
                              'click the Obtain Password button to receive it by e-mail.';
  TeeMsg_WrongChartID        :='Chart name is empty. Please type a Chart name to '+
                              'identify it at the Web Gallery database.';

  TeeMsg_CannotObtainPassword:='Cannot connect to obtain your Password.';
  TeeMsg_PasswordSent        :='Your Password has been sent to your email address.';
  TeeMsg_Congrats            :='Congratulations.'+#13+'You have been included in TeeChart Office '+
                              'Web Charts Gallery user database.'+#13+
                              TeeMsg_PasswordSent;

  TeeMsg_UploadingWeb        :='Uploading %s to Web Gallery...';
  TeeMsg_Uploaded       :='%s has been uploaded to Web Gallery.';
  TeeMsg_SureToUploadChart   :='Are you sure to upload the current Chart to Web Gallery?';

  TeeMsg_TitleEditor         :='Title Editor';
  TeeMsg_BarWidth            :='Bar Width %';
  TeeMsg_EnterValue          :='Enter value';
  TeeMsg_PieRotation         :='Rotation';
  TeeMsg_PointWidth          :='Width';
  TeeMsg_PointHeight         :='Height';

  TeeMsg_Position            :='Position: %d,%d';
  TeeMsg_Size                :='Size: %d x %d';

  TeeMsg_BetaWarning         :='Note: '+
                              'This is Pre-Release Software.'+#13+#13+
                              'Some features might be incomplete or'+#13+
                              'removed in the final product version.'+#13+#13+
                              'Submit problems and suggestions at our web site:'+#13+#13+
                              'www.steema.com';

  TeeMsg_OpenWithTeeChartOffice :='Open with &TeeChart Office';

  TeeMsg_Caps               :='CAPS';
  TeeMsg_Num                :='NUM';
  TeeMsg_SCR                :='SCR';
  TeeMsg_Chart1             :='Chart1';
  TeeMsg_SaveAs             :='Save as...';
  TeeMsg_LeftWall           :='Left Wall';
  TeeMsg_BottomWall         :='Bottom Wall';
  TeeMsg_RightWall          :='Right Wall';
  TeeMsg_BackWall           :='Back Wall';
  TeeMsg_ShouldClose        :='Please close and restart TeeChartOffice.';

  { pending }
  TeeMsg_AxisDivider        :='Axis Divider';
  TeeMsg_PieTool            :='Pie Slices';
  TeeMsg_Table              :='Table';
  TeeMsg_Query              :='Query';
  TeeMsg_XMLFile            :='XML files';
  TeeMsg_ExcelFile          :='Excel files';
  TeeMsg_ExcelEmptyFile     :='Excel file name is empty.';
  TeeMsg_Expression         :='Expression';
end;

begin
  SetTurkishConstants;

  if TeeTurkishLanguage=nil then
  begin
    TeeCreateTurkish;
    with TeeTurkishLanguage do ;
  end;

  TeeSetTurkish;
end;

Procedure TeeChartOfficeHungarian;

Procedure SetHungarianConstants;
begin
  TeeMsg_ZoomInstructions    :='Drag mouse to right-bottom to zoom. To left-top to unzoom.';
  TeeMsg_ScrollInstructions  :='Drag mouse to scroll Chart contents.';
  TeeMsg_DrawLineInstructions:='Drag mouse to draw, select and move lines.';

  TeeMsg_SureToDeleteDataSet :='Are you sure to delete DataSet?';
  TeeMsg_Select              :='Select';
  TeeMsg_EMail               :='e-mail';
  TeeMsg_Open                :='Open';
  TeeMsg_New                 :='New';
  TeeMsg_ImportingWeb        :='Importing from Web: %s';
  TeeMsg_Annotation          :='Annotation';
  TeeMsg_Modified            :='Modified';

  TeeMsg_Next                :='&Next >';
  TeeMsg_OK                  :='OK';
  TeeMsg_Close               :='Close';
  TeeMsg_Go                  :='&Go !';
  TeeMsg_Upload              :='&Upload !';

  TeeMsg_CannotGetVersion    :='Cannot connect to obtain current version.'+#13+
                              'Error: %d %s';

  TeeMsg_CannotGetNewVersion :='Cannot download current version.'+#13+
                              'Error: %d %s';

  TeeMsg_WrongVersion        :='Wrong version number received.';
  TeeMsg_HasLatestVersion    :='You already have the latest version.';
  TeeMsg_ClickToUpdateVersion:='Click the Update button to receive the latest version.';
  TeeMsg_UpdateButton        :='&Update...';
  TeeMsg_WrongZip            :='Wrong version file received.';
  TeeMsg_VersionReceived     :='Latest version received. Click Ok to Install.';

  TeeMsg_SelectFolder        :='Select Folder';
  TeeMsg_EmailNotValid       :='Email address is not correct.';
  TeeMsg_NameNotValid        :='Your Name is empty. Please type your name.';
  TeeMsg_WrongPassword       :='Password is empty. Please type your password or '+#13+
                              'click the Obtain Password button to receive it by e-mail.';
  TeeMsg_WrongChartID        :='Chart name is empty. Please type a Chart name to '+
                              'identify it at the Web Gallery database.';

  TeeMsg_CannotObtainPassword:='Cannot connect to obtain your Password.';
  TeeMsg_PasswordSent        :='Your Password has been sent to your email address.';
  TeeMsg_Congrats            :='Congratulations.'+#13+'You have been included in TeeChart Office '+
                              'Web Charts Gallery user database.'+#13+
                              TeeMsg_PasswordSent;

  TeeMsg_UploadingWeb        :='Uploading %s to Web Gallery...';
  TeeMsg_Uploaded       :='%s has been uploaded to Web Gallery.';
  TeeMsg_SureToUploadChart   :='Are you sure to upload the current Chart to Web Gallery?';

  TeeMsg_TitleEditor         :='Title Editor';
  TeeMsg_BarWidth            :='Bar Width %';
  TeeMsg_EnterValue          :='Enter value';
  TeeMsg_PieRotation         :='Rotation';
  TeeMsg_PointWidth          :='Width';
  TeeMsg_PointHeight         :='Height';

  TeeMsg_Position            :='Position: %d,%d';
  TeeMsg_Size                :='Size: %d x %d';

  TeeMsg_BetaWarning         :='Note: '+
                              'This is Pre-Release Software.'+#13+#13+
                              'Some features might be incomplete or'+#13+
                              'removed in the final product version.'+#13+#13+
                              'Submit problems and suggestions at our web site:'+#13+#13+
                              'www.steema.com';

  TeeMsg_OpenWithTeeChartOffice :='Open with &TeeChart Office';

  TeeMsg_Caps               :='CAPS';
  TeeMsg_Num                :='NUM';
  TeeMsg_SCR                :='SCR';
  TeeMsg_Chart1             :='Chart1';
  TeeMsg_SaveAs             :='Save as...';
  TeeMsg_LeftWall           :='Left Wall';
  TeeMsg_BottomWall         :='Bottom Wall';
  TeeMsg_RightWall          :='Right Wall';
  TeeMsg_BackWall           :='Back Wall';
  TeeMsg_ShouldClose        :='Please close and restart TeeChartOffice.';

  { pending }
  TeeMsg_AxisDivider        :='Axis Divider';
  TeeMsg_PieTool            :='Pie Slices';
  TeeMsg_Table              :='Table';
  TeeMsg_Query              :='Query';
  TeeMsg_XMLFile            :='XML files';
  TeeMsg_ExcelFile          :='Excel files';
  TeeMsg_ExcelEmptyFile     :='Excel file name is empty.';
  TeeMsg_Expression         :='Expression';
end;

begin
  SetHungarianConstants;

  if TeeHungarianLanguage=nil then
  begin
    TeeCreateHungarian;
    with TeeHungarianLanguage do ;
  end;

  TeeSetHungarian;
end;

initialization
  SetEnglishConstants;
end.
